import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiApps } from "../../structures/IApiApps";
import { integration } from "../../structures/integration";
/**
 * Get an app.
 * > [!NOTE]
 * > The `:app_slug` is just the URL-friendly name of your GitHub App. You can find this on the settings page for your GitHub App (e.g., `https://github.com/settings/apps/:app_slug`).
 *
 * @tag apps
 * @path apps/:app_slug
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByApp_slug(connection: IConnection<getByApp_slug.Headers>, app_slug: string): Promise<getByApp_slug.Output>;
export declare namespace getByApp_slug {
    type Headers = IApiApps.GetHeader;
    type Output = integration;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/apps/:app_slug";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (app_slug: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => integration;
    const simulate: (connection: IConnection<getByApp_slug.Headers>, app_slug: string) => Output;
}
