import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiAssignmentsAcceptedAssignments } from "../../../structures/IApiAssignmentsAcceptedAssignments";
import { classroom_minus_accepted_minus_assignment } from "../../../structures/classroom_minus_accepted_minus_assignment";
/**
 * List accepted assignments for an assignment.
 * Lists any assignment repositories that have been created by students accepting a GitHub Classroom assignment. Accepted assignments will only be returned if the current user is an administrator of the GitHub Classroom for the assignment.
 *
 * @tag classroom
 * @path assignments/:assignment_id/accepted_assignments
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByAssignment_id(connection: IConnection<getByAssignment_id.Headers>, assignment_id: string): Promise<getByAssignment_id.Output>;
export declare namespace getByAssignment_id {
    type Headers = IApiAssignmentsAcceptedAssignments.GetHeader;
    type Output = classroom_minus_accepted_minus_assignment[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/assignments/:assignment_id/accepted_assignments";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (assignment_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => classroom_minus_accepted_minus_assignment[];
    const simulate: (connection: IConnection<getByAssignment_id.Headers>, assignment_id: string) => Output;
}
