import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiAssignmentsGrades } from "../../../structures/IApiAssignmentsGrades";
import { classroom_minus_assignment_minus_grade } from "../../../structures/classroom_minus_assignment_minus_grade";
/**
 * Get assignment grades.
 * Gets grades for a GitHub Classroom assignment. Grades will only be returned if the current user is an administrator of the GitHub Classroom for the assignment.
 *
 * @tag classroom
 * @path assignments/:assignment_id/grades
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByAssignment_id(connection: IConnection<getByAssignment_id.Headers>, assignment_id: string): Promise<getByAssignment_id.Output>;
export declare namespace getByAssignment_id {
    type Headers = IApiAssignmentsGrades.GetHeader;
    type Output = classroom_minus_assignment_minus_grade[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/assignments/:assignment_id/grades";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (assignment_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => classroom_minus_assignment_minus_grade[];
    const simulate: (connection: IConnection<getByAssignment_id.Headers>, assignment_id: string) => Output;
}
