import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiClassroomsAssignments } from "../../../structures/IApiClassroomsAssignments";
import { simple_minus_classroom_minus_assignment } from "../../../structures/simple_minus_classroom_minus_assignment";
/**
 * List assignments for a classroom.
 * Lists GitHub Classroom assignments for a classroom. Assignments will only be returned if the current user is an administrator of the GitHub Classroom.
 *
 * @tag classroom
 * @path classrooms/:classroom_id/assignments
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByClassroom_id(connection: IConnection<getByClassroom_id.Headers>, classroom_id: string): Promise<getByClassroom_id.Output>;
export declare namespace getByClassroom_id {
    type Headers = IApiClassroomsAssignments.GetHeader;
    type Output = simple_minus_classroom_minus_assignment[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/classrooms/:classroom_id/assignments";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (classroom_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => simple_minus_classroom_minus_assignment[];
    const simulate: (connection: IConnection<getByClassroom_id.Headers>, classroom_id: string) => Output;
}
