import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { code_minus_of_minus_conduct } from "../../structures/code_minus_of_minus_conduct";
/**
 * Get all codes of conduct.
 * Returns array of all GitHub's codes of conduct.
 *
 * @tag codes-of-conduct
 * @path codes_of_conduct
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function get(connection: IConnection): Promise<get.Output>;
export declare namespace get {
    type Output = code_minus_of_minus_conduct[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/codes_of_conduct";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: () => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => code_minus_of_minus_conduct[];
    const simulate: (connection: IConnection) => Output;
}
/**
 * Get a code of conduct.
 * Returns information about the specified GitHub code of conduct.
 *
 * @tag codes-of-conduct
 * @path codes_of_conduct/:key
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByKey(connection: IConnection, key: string): Promise<getByKey.Output>;
export declare namespace getByKey {
    type Output = code_minus_of_minus_conduct;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/codes_of_conduct/:key";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (key: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => code_minus_of_minus_conduct;
    const simulate: (connection: IConnection, key: string) => Output;
}
