import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiEnterprisesDependabotAlerts } from "../../../../structures/IApiEnterprisesDependabotAlerts";
import { dependabot_minus_alert_minus_with_minus_repository } from "../../../../structures/dependabot_minus_alert_minus_with_minus_repository";
/**
 * List Dependabot alerts for an enterprise.
 * Lists Dependabot alerts for repositories that are owned by the specified enterprise.
 *
 * The authenticated user must be a member of the enterprise to use this endpoint.
 *
 * Alerts are only returned for organizations in the enterprise for which you are an organization owner or a security manager. For more information about security managers, see "[Managing security managers in your organization](https://docs.github.com/organizations/managing-peoples-access-to-your-organization-with-roles/managing-security-managers-in-your-organization)."
 *
 * OAuth app tokens and personal access tokens (classic) need the `repo` or `security_events` scope to use this endpoint.
 *
 * @tag dependabot
 * @path enterprises/:enterprise/dependabot/alerts
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByEnterprise(connection: IConnection<getByEnterprise.Headers>, enterprise: string): Promise<getByEnterprise.Output>;
export declare namespace getByEnterprise {
    type Headers = IApiEnterprisesDependabotAlerts.GetHeader;
    type Output = dependabot_minus_alert_minus_with_minus_repository[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/enterprises/:enterprise/dependabot/alerts";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (enterprise: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => dependabot_minus_alert_minus_with_minus_repository[];
    const simulate: (connection: IConnection<getByEnterprise.Headers>, enterprise: string) => Output;
}
