import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiEnterprisesSecretScanningAlerts } from "../../../../structures/IApiEnterprisesSecretScanningAlerts";
import { organization_minus_secret_minus_scanning_minus_alert } from "../../../../structures/organization_minus_secret_minus_scanning_minus_alert";
/**
 * List secret scanning alerts for an enterprise.
 * Lists secret scanning alerts for eligible repositories in an enterprise, from newest to oldest.
 *
 * Alerts are only returned for organizations in the enterprise for which the authenticated user is an organization owner or a [security manager](https://docs.github.com/organizations/managing-peoples-access-to-your-organization-with-roles/managing-security-managers-in-your-organization).
 *
 * The authenticated user must be a member of the enterprise in order to use this endpoint.
 *
 * OAuth app tokens and personal access tokens (classic) need the `repo` scope or `security_events` scope to use this endpoint.
 *
 * @tag secret-scanning
 * @path enterprises/:enterprise/secret-scanning/alerts
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByEnterprise(connection: IConnection<getByEnterprise.Headers>, enterprise: string): Promise<getByEnterprise.Output>;
export declare namespace getByEnterprise {
    type Headers = IApiEnterprisesSecretScanningAlerts.GetHeader;
    type Output = organization_minus_secret_minus_scanning_minus_alert[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/enterprises/:enterprise/secret-scanning/alerts";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (enterprise: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => organization_minus_secret_minus_scanning_minus_alert[];
    const simulate: (connection: IConnection<getByEnterprise.Headers>, enterprise: string) => Output;
}
