import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiInstallationRepositories } from "../../../structures/IApiInstallationRepositories";
import { response } from "../../../structures/response";
/**
 * List repositories accessible to the app installation.
 * List repositories that an app installation can access.
 *
 * @tag apps
 * @path installation/repositories
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function get(connection: IConnection<get.Headers>): Promise<get.Output>;
export declare namespace get {
    type Headers = IApiInstallationRepositories.GetHeader;
    type Output = response;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/installation/repositories";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: () => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => response;
    const simulate: (connection: IConnection<get.Headers>) => Output;
}
