import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiMarketplaceListingAccounts } from "../../../structures/IApiMarketplaceListingAccounts";
import { marketplace_minus_purchase } from "../../../structures/marketplace_minus_purchase";
/**
 * Get a subscription plan for an account.
 * Shows whether the user or organization account actively subscribes to a plan listed by the authenticated GitHub App. When someone submits a plan change that won't be processed until the end of their billing cycle, you will also see the upcoming pending change.
 *
 * GitHub Apps must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint. OAuth apps must use [basic authentication](https://docs.github.com/rest/authentication/authenticating-to-the-rest-api#using-basic-authentication) with their client ID and client secret to access this endpoint.
 *
 * @tag apps
 * @path marketplace_listing/accounts/:account_id
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByAccount_id(connection: IConnection<getByAccount_id.Headers>, account_id: string): Promise<getByAccount_id.Output>;
export declare namespace getByAccount_id {
    type Headers = IApiMarketplaceListingAccounts.GetHeader;
    type Output = marketplace_minus_purchase;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/marketplace_listing/accounts/:account_id";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (account_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => marketplace_minus_purchase;
    const simulate: (connection: IConnection<getByAccount_id.Headers>, account_id: string) => Output;
}
