import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiMarketplaceListingStubbedPlans } from "../../../../structures/IApiMarketplaceListingStubbedPlans";
import { marketplace_minus_listing_minus_plan } from "../../../../structures/marketplace_minus_listing_minus_plan";
export * as accounts from "./accounts";
/**
 * List plans (stubbed).
 * Lists all plans that are part of your GitHub Marketplace listing.
 *
 * GitHub Apps must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint. OAuth apps must use [basic authentication](https://docs.github.com/rest/authentication/authenticating-to-the-rest-api#using-basic-authentication) with their client ID and client secret to access this endpoint.
 *
 * @tag apps
 * @path marketplace_listing/stubbed/plans
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function get(connection: IConnection<get.Headers>): Promise<get.Output>;
export declare namespace get {
    type Headers = IApiMarketplaceListingStubbedPlans.GetHeader;
    type Output = marketplace_minus_listing_minus_plan[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/marketplace_listing/stubbed/plans";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: () => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => marketplace_minus_listing_minus_plan[];
    const simulate: (connection: IConnection<get.Headers>) => Output;
}
