import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { api_minus_overview } from "../../structures/api_minus_overview";
/**
 * Get GitHub meta information.
 * Returns meta information about GitHub, including a list of GitHub's IP addresses. For more information, see "[About GitHub's IP addresses](https://docs.github.com/articles/about-github-s-ip-addresses/)."
 *
 * The API's response also includes a list of GitHub's domain names.
 *
 * The values shown in the documentation's response are example values. You must always query the API directly to get the latest values.
 *
 * > [!NOTE]
 * > This endpoint returns both IPv4 and IPv6 addresses. However, not all features support IPv6. You should refer to the specific documentation for each feature to determine if IPv6 is supported.
 *
 * @tag meta
 * @path meta
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function get(connection: IConnection): Promise<get.Output>;
export declare namespace get {
    type Output = api_minus_overview;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/meta";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: () => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => api_minus_overview;
    const simulate: (connection: IConnection) => Output;
}
