import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiNotifications } from "../../structures/IApiNotifications";
import { body } from "../../structures/body";
import { thread } from "../../structures/thread";
export * as threads from "./threads";
/**
 * List notifications for the authenticated user.
 * List all notifications for the current user, sorted by most recently updated.
 *
 * @tag activity
 * @path notifications
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function get(connection: IConnection<get.Headers>, query: get.Query): Promise<get.Output>;
export declare namespace get {
    type Headers = IApiNotifications.GetHeader;
    type Query = IApiNotifications.GetQuery;
    type Output = thread[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/notifications";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (query: get.Query) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => thread[];
    const simulate: (connection: IConnection<get.Headers>, query: get.Query) => Output;
}
/**
 * Mark notifications as read.
 * Marks all notifications as "read" for the current user. If the number of notifications is too large to complete in one request, you will receive a `202 Accepted` status and GitHub will run an asynchronous process to mark notifications as "read." To check whether any "unread" notifications remain, you can use the [List notifications for the authenticated user](https://docs.github.com/rest/activity/notifications#list-notifications-for-the-authenticated-user) endpoint and pass the query parameter `all=false`.
 *
 * @tag activity
 * @path notifications
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function put(connection: IConnection, body: put.Input): Promise<void>;
export declare namespace put {
    type Input = body;
    const METADATA: {
        readonly method: "PUT";
        readonly path: "/notifications";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: () => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection, body: put.Input) => void;
}
