import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiOrganizations } from "../../structures/IApiOrganizations";
import { organization_minus_simple } from "../../structures/organization_minus_simple";
/**
 * List organizations.
 * Lists all organizations, in the order that they were created.
 *
 * > [!NOTE]
 * > Pagination is powered exclusively by the `since` parameter. Use the [Link header](https://docs.github.com/rest/guides/using-pagination-in-the-rest-api#using-link-headers) to get the URL for the next page of organizations.
 *
 * @tag orgs
 * @path organizations
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function get(connection: IConnection<get.Headers>): Promise<get.Output>;
export declare namespace get {
    type Headers = IApiOrganizations.GetHeader;
    type Output = organization_minus_simple[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/organizations";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: () => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => organization_minus_simple[];
    const simulate: (connection: IConnection<get.Headers>) => Output;
}
