import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiOrgsActionsCacheUsageByRepository } from "../../../../../structures/IApiOrgsActionsCacheUsageByRepository";
import { response } from "../../../../../structures/response";
/**
 * List repositories with GitHub Actions cache usage for an organization.
 * Lists repositories and their GitHub Actions cache usage for an organization.
 * The data fetched using this API is refreshed approximately every 5 minutes, so values returned from this endpoint may take at least 5 minutes to get updated.
 *
 * OAuth tokens and personal access tokens (classic) need the `read:org` scope to use this endpoint.
 *
 * @tag actions
 * @path orgs/:org/actions/cache/usage-by-repository
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOrg(connection: IConnection<getByOrg.Headers>, org: string): Promise<getByOrg.Output>;
export declare namespace getByOrg {
    type Headers = IApiOrgsActionsCacheUsageByRepository.GetHeader;
    type Output = response;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/orgs/:org/actions/cache/usage-by-repository";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (org: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => response;
    const simulate: (connection: IConnection<getByOrg.Headers>, org: string) => Output;
}
