import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiOrgsActionsRunnersDownloads } from "../../../../../structures/IApiOrgsActionsRunnersDownloads";
import { runner_minus_application } from "../../../../../structures/runner_minus_application";
/**
 * List runner applications for an organization.
 * Lists binaries for the runner application that you can download and run.
 *
 * Authenticated users must have admin access to the organization to use this endpoint.
 *
 * OAuth app tokens and personal access tokens (classic) need the `admin:org` scope to use this endpoint.  If the repository is private, the `repo` scope is also required.
 *
 * @tag actions
 * @path orgs/:org/actions/runners/downloads
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOrg(connection: IConnection<getByOrg.Headers>, org: string): Promise<getByOrg.Output>;
export declare namespace getByOrg {
    type Headers = IApiOrgsActionsRunnersDownloads.GetHeader;
    type Output = runner_minus_application[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/orgs/:org/actions/runners/downloads";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (org: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => runner_minus_application[];
    const simulate: (connection: IConnection<getByOrg.Headers>, org: string) => Output;
}
