import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiOrgsActionsSecretsPublicKey } from "../../../../../structures/IApiOrgsActionsSecretsPublicKey";
import { actions_minus_public_minus_key } from "../../../../../structures/actions_minus_public_minus_key";
/**
 * Get an organization public key.
 * Gets your public key, which you need to encrypt secrets. You need to
 * encrypt a secret before you can create or update secrets.
 *
 * The authenticated user must have collaborator access to a repository to create, update, or read secrets.
 *
 * OAuth tokens and personal access tokens (classic) need the`admin:org` scope to use this endpoint. If the repository is private, OAuth tokens and personal access tokens (classic) need the `repo` scope to use this endpoint.
 *
 * @tag actions
 * @path orgs/:org/actions/secrets/public-key
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOrg(connection: IConnection<getByOrg.Headers>, org: string): Promise<getByOrg.Output>;
export declare namespace getByOrg {
    type Headers = IApiOrgsActionsSecretsPublicKey.GetHeader;
    type Output = actions_minus_public_minus_key;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/orgs/:org/actions/secrets/public-key";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (org: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => actions_minus_public_minus_key;
    const simulate: (connection: IConnection<getByOrg.Headers>, org: string) => Output;
}
