"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (g && (g = 0, op[0] && (_ = 0)), _) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getByOrgAndSecret_name = getByOrgAndSecret_name;
exports.putByOrgAndSecret_name = putByOrgAndSecret_name;
exports.putByOrgAndSecret_nameAndRepository_id = putByOrgAndSecret_nameAndRepository_id;
exports.eraseByOrgAndSecret_nameAndRepository_id = eraseByOrgAndSecret_nameAndRepository_id;
var NestiaSimulator_1 = require("@nestia/fetcher/lib/NestiaSimulator");
var PlainFetcher_1 = require("@nestia/fetcher/lib/PlainFetcher");
var typia_1 = __importDefault(require("typia"));
/**
 * List selected repositories for an organization secret.
 * Lists all repositories that have been selected when the `visibility`
 * for repository access to a secret is set to `selected`.
 *
 * Authenticated users must have collaborator access to a repository to create, update, or read secrets.
 *
 * OAuth app tokens and personal access tokens (classic) need the `admin:org` scope to use this endpoint. If the repository is private, the `repo` scope is also required.
 *
 * @tag actions
 * @path orgs/:org/actions/secrets/:secret_name/repositories
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
function getByOrgAndSecret_name(connection, org, secret_name) {
    return __awaiter(this, void 0, void 0, function () {
        return __generator(this, function (_a) {
            return [2 /*return*/, !!connection.simulate
                    ? getByOrgAndSecret_name.simulate(connection, org, secret_name)
                    : PlainFetcher_1.PlainFetcher.fetch(__assign(__assign({}, connection), { headers: __assign(__assign({}, connection.headers), { "Content-Type": "application/json" }) }), __assign(__assign({}, getByOrgAndSecret_name.METADATA), { path: getByOrgAndSecret_name.path(org, secret_name), status: null }))];
        });
    });
}
(function (getByOrgAndSecret_name) {
    getByOrgAndSecret_name.METADATA = {
        method: "GET",
        path: "/orgs/:org/actions/secrets/:secret_name/repositories",
        request: null,
        response: {
            type: "application/json",
            encrypted: false,
        },
    };
    getByOrgAndSecret_name.path = function (org, secret_name) {
        return "/orgs/".concat(encodeURIComponent(org !== null && org !== void 0 ? org : "null"), "/actions/secrets/").concat(encodeURIComponent(secret_name !== null && secret_name !== void 0 ? secret_name : "null"), "/repositories");
    };
    getByOrgAndSecret_name.random = function (g) { return (function () { var $pick = typia_1.default.random.pick; var $generator = typia_1.default.random.generator; var $ro0 = function (_recursive, _depth) {
        if (_recursive === void 0) { _recursive = false; }
        if (_depth === void 0) { _depth = 0; }
        return {};
    }; var $ro1 = function (_recursive, _depth) {
        var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k;
        if (_recursive === void 0) { _recursive = false; }
        if (_depth === void 0) { _depth = 0; }
        return ({
            limit: $pick([
                function () { return "existing_users"; },
                function () { return "contributors_only"; },
                function () { return "collaborators_only"; }
            ])(),
            origin: (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _e !== void 0 ? _e : $generator.string)(),
            expires_at: (_j = (_h = (_g = ((_f = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _f !== void 0 ? _f : $generator.customs)) === null || _g === void 0 ? void 0 : _g.string) === null || _h === void 0 ? void 0 : _h.call(_g, [
                {
                    name: "Format<\"date-time\">",
                    kind: "format",
                    value: "date-time"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _j !== void 0 ? _j : ((_k = _generator === null || _generator === void 0 ? void 0 : _generator.datetime) !== null && _k !== void 0 ? _k : $generator.datetime)()
        });
    }; var _generator; return function (generator) {
        _generator = generator;
        return $pick([
            function () { return $ro0(); },
            function () { return $ro1(); }
        ])();
    }; })()(g); };
    getByOrgAndSecret_name.simulate = function (connection, org, secret_name) {
        var assert = NestiaSimulator_1.NestiaSimulator.assert({
            method: getByOrgAndSecret_name.METADATA.method,
            host: connection.host,
            path: getByOrgAndSecret_name.path(org, secret_name),
            contentType: "application/json",
        });
        try {
            assert.param("org")(function () { return (function () { var $guard = typia_1.default.assert.guard; var __is = function (input) { return "string" === typeof input; }; var _errorFactory; return function (input, errorFactory) {
                if (false === __is(input)) {
                    _errorFactory = errorFactory;
                    (function (input, _path, _exceptionable) {
                        if (_exceptionable === void 0) { _exceptionable = true; }
                        return "string" === typeof input || $guard(true, {
                            path: _path + "",
                            expected: "string",
                            value: input
                        }, _errorFactory);
                    })(input, "$input", true);
                }
                return input;
            }; })()(org); });
            assert.param("secret_name")(function () { return (function () { var $guard = typia_1.default.assert.guard; var __is = function (input) { return "string" === typeof input; }; var _errorFactory; return function (input, errorFactory) {
                if (false === __is(input)) {
                    _errorFactory = errorFactory;
                    (function (input, _path, _exceptionable) {
                        if (_exceptionable === void 0) { _exceptionable = true; }
                        return "string" === typeof input || $guard(true, {
                            path: _path + "",
                            expected: "string",
                            value: input
                        }, _errorFactory);
                    })(input, "$input", true);
                }
                return input;
            }; })()(secret_name); });
        }
        catch (exp) {
            if (!(function () { var $io0 = function (input) { return ("HEAD" === input.method || "GET" === input.method || "DELETE" === input.method || "POST" === input.method || "PUT" === input.method || "PATCH" === input.method) && "string" === typeof input.path && "number" === typeof input.status && ("object" === typeof input.headers && null !== input.headers && false === Array.isArray(input.headers) && $io1(input.headers)) && "string" === typeof input.name && "string" === typeof input.message && (undefined === input.stack || "string" === typeof input.stack); }; var $io1 = function (input) { return Object.keys(input).every(function (key) {
                var value = input[key];
                if (undefined === value)
                    return true;
                return null !== value && undefined !== value && ("string" === typeof value || Array.isArray(value) && value.every(function (elem) { return "string" === typeof elem; }));
            }); }; return function (input) { return "object" === typeof input && null !== input && $io0(input); }; })()(exp))
                throw exp;
            return {
                success: false,
                status: exp.status,
                headers: exp.headers,
                data: exp.toJSON().message,
            };
        }
        return getByOrgAndSecret_name.random("object" === typeof connection.simulate && null !== connection.simulate
            ? connection.simulate
            : undefined);
    };
})(getByOrgAndSecret_name || (exports.getByOrgAndSecret_name = getByOrgAndSecret_name = {}));
/**
 * Set selected repositories for an organization secret.
 * Replaces all repositories for an organization secret when the `visibility`
 * for repository access is set to `selected`. The visibility is set when you [Create
 * or update an organization secret](https://docs.github.com/rest/actions/secrets#create-or-update-an-organization-secret).
 *
 * Authenticated users must have collaborator access to a repository to create, update, or read secrets.
 *
 * OAuth app tokens and personal access tokens (classic) need the `admin:org` scope to use this endpoint. If the repository is private, the `repo` scope is also required.
 *
 * @tag actions
 * @path orgs/:org/actions/secrets/:secret_name/repositories
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
function putByOrgAndSecret_name(connection, org, secret_name, body) {
    return __awaiter(this, void 0, void 0, function () {
        return __generator(this, function (_a) {
            return [2 /*return*/, !!connection.simulate
                    ? putByOrgAndSecret_name.simulate(connection, org, secret_name, body)
                    : PlainFetcher_1.PlainFetcher.fetch(__assign(__assign({}, connection), { headers: __assign(__assign({}, connection.headers), { "Content-Type": "application/json" }) }), __assign(__assign({}, putByOrgAndSecret_name.METADATA), { path: putByOrgAndSecret_name.path(org, secret_name), status: null }), body)];
        });
    });
}
(function (putByOrgAndSecret_name) {
    putByOrgAndSecret_name.METADATA = {
        method: "PUT",
        path: "/orgs/:org/actions/secrets/:secret_name/repositories",
        request: {
            type: "application/json",
            encrypted: false,
        },
        response: {
            type: "application/json",
            encrypted: false,
        },
    };
    putByOrgAndSecret_name.path = function (org, secret_name) {
        return "/orgs/".concat(encodeURIComponent(org !== null && org !== void 0 ? org : "null"), "/actions/secrets/").concat(encodeURIComponent(secret_name !== null && secret_name !== void 0 ? secret_name : "null"), "/repositories");
    };
    putByOrgAndSecret_name.random = function (g) { return (function () { var _generator; return function (generator) {
        _generator = generator;
        return undefined;
    }; })()(g); };
    putByOrgAndSecret_name.simulate = function (connection, org, secret_name, body) {
        var assert = NestiaSimulator_1.NestiaSimulator.assert({
            method: putByOrgAndSecret_name.METADATA.method,
            host: connection.host,
            path: putByOrgAndSecret_name.path(org, secret_name),
            contentType: "application/json",
        });
        try {
            assert.param("org")(function () { return (function () { var $guard = typia_1.default.assert.guard; var __is = function (input) { return "string" === typeof input; }; var _errorFactory; return function (input, errorFactory) {
                if (false === __is(input)) {
                    _errorFactory = errorFactory;
                    (function (input, _path, _exceptionable) {
                        if (_exceptionable === void 0) { _exceptionable = true; }
                        return "string" === typeof input || $guard(true, {
                            path: _path + "",
                            expected: "string",
                            value: input
                        }, _errorFactory);
                    })(input, "$input", true);
                }
                return input;
            }; })()(org); });
            assert.param("secret_name")(function () { return (function () { var $guard = typia_1.default.assert.guard; var __is = function (input) { return "string" === typeof input; }; var _errorFactory; return function (input, errorFactory) {
                if (false === __is(input)) {
                    _errorFactory = errorFactory;
                    (function (input, _path, _exceptionable) {
                        if (_exceptionable === void 0) { _exceptionable = true; }
                        return "string" === typeof input || $guard(true, {
                            path: _path + "",
                            expected: "string",
                            value: input
                        }, _errorFactory);
                    })(input, "$input", true);
                }
                return input;
            }; })()(secret_name); });
            assert.body(function () { return (function () { var $guard = typia_1.default.assert.guard; var $io0 = function (input) { return (undefined === input.title || "string" === typeof input.title) && ("string" === typeof input.key && RegExp("^ssh-(rsa|dss|ed25519) |^ecdsa-sha2-nistp(256|384|521) |^(sk-ssh-ed25519|sk-ecdsa-sha2-nistp256)@openssh.com ").test(input.key)); }; var $ao0 = function (input, _path, _exceptionable) {
                if (_exceptionable === void 0) { _exceptionable = true; }
                return (undefined === input.title || "string" === typeof input.title || $guard(_exceptionable, {
                    path: _path + ".title",
                    expected: "((string & JsonSchemaPlugin<__type>) | undefined)",
                    value: input.title
                }, _errorFactory)) && ("string" === typeof input.key && (RegExp("^ssh-(rsa|dss|ed25519) |^ecdsa-sha2-nistp(256|384|521) |^(sk-ssh-ed25519|sk-ecdsa-sha2-nistp256)@openssh.com ").test(input.key) || $guard(_exceptionable, {
                    path: _path + ".key",
                    expected: "string & Pattern<\"^ssh-(rsa|dss|ed25519) |^ecdsa-sha2-nistp(256|384|521) |^(sk-ssh-ed25519|sk-ecdsa-sha2-nistp256)@openssh.com \">",
                    value: input.key
                }, _errorFactory)) || $guard(_exceptionable, {
                    path: _path + ".key",
                    expected: "(string & Pattern<\"^ssh-(rsa|dss|ed25519) |^ecdsa-sha2-nistp(256|384|521) |^(sk-ssh-ed25519|sk-ecdsa-sha2-nistp256)@openssh.com \">)",
                    value: input.key
                }, _errorFactory));
            }; var __is = function (input) { return "object" === typeof input && null !== input && $io0(input); }; var _errorFactory; return function (input, errorFactory) {
                if (false === __is(input)) {
                    _errorFactory = errorFactory;
                    (function (input, _path, _exceptionable) {
                        if (_exceptionable === void 0) { _exceptionable = true; }
                        return ("object" === typeof input && null !== input || $guard(true, {
                            path: _path + "",
                            expected: "body",
                            value: input
                        }, _errorFactory)) && $ao0(input, _path + "", true) || $guard(true, {
                            path: _path + "",
                            expected: "body",
                            value: input
                        }, _errorFactory);
                    })(input, "$input", true);
                }
                return input;
            }; })()(body); });
        }
        catch (exp) {
            if (!(function () { var $io0 = function (input) { return ("HEAD" === input.method || "GET" === input.method || "DELETE" === input.method || "POST" === input.method || "PUT" === input.method || "PATCH" === input.method) && "string" === typeof input.path && "number" === typeof input.status && ("object" === typeof input.headers && null !== input.headers && false === Array.isArray(input.headers) && $io1(input.headers)) && "string" === typeof input.name && "string" === typeof input.message && (undefined === input.stack || "string" === typeof input.stack); }; var $io1 = function (input) { return Object.keys(input).every(function (key) {
                var value = input[key];
                if (undefined === value)
                    return true;
                return null !== value && undefined !== value && ("string" === typeof value || Array.isArray(value) && value.every(function (elem) { return "string" === typeof elem; }));
            }); }; return function (input) { return "object" === typeof input && null !== input && $io0(input); }; })()(exp))
                throw exp;
            return {
                success: false,
                status: exp.status,
                headers: exp.headers,
                data: exp.toJSON().message,
            };
        }
        return putByOrgAndSecret_name.random("object" === typeof connection.simulate && null !== connection.simulate
            ? connection.simulate
            : undefined);
    };
})(putByOrgAndSecret_name || (exports.putByOrgAndSecret_name = putByOrgAndSecret_name = {}));
/**
 * Add selected repository to an organization secret.
 * Adds a repository to an organization secret when the `visibility` for
 * repository access is set to `selected`. For more information about setting the visibility, see [Create or
 * update an organization secret](https://docs.github.com/rest/actions/secrets#create-or-update-an-organization-secret).
 *
 * Authenticated users must have collaborator access to a repository to create, update, or read secrets.
 *
 * OAuth tokens and personal access tokens (classic) need the `admin:org` scope to use this endpoint. If the repository is private, OAuth tokens and personal access tokens (classic) need the `repo` scope to use this endpoint.
 *
 * @tag actions
 * @path orgs/:org/actions/secrets/:secret_name/repositories/:repository_id
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
function putByOrgAndSecret_nameAndRepository_id(connection, org, secret_name, repository_id) {
    return __awaiter(this, void 0, void 0, function () {
        return __generator(this, function (_a) {
            return [2 /*return*/, !!connection.simulate
                    ? putByOrgAndSecret_nameAndRepository_id.simulate(connection, org, secret_name, repository_id)
                    : PlainFetcher_1.PlainFetcher.fetch(__assign(__assign({}, connection), { headers: __assign(__assign({}, connection.headers), { "Content-Type": "application/json" }) }), __assign(__assign({}, putByOrgAndSecret_nameAndRepository_id.METADATA), { path: putByOrgAndSecret_nameAndRepository_id.path(org, secret_name, repository_id), status: null }))];
        });
    });
}
(function (putByOrgAndSecret_nameAndRepository_id) {
    putByOrgAndSecret_nameAndRepository_id.METADATA = {
        method: "PUT",
        path: "/orgs/:org/actions/secrets/:secret_name/repositories/:repository_id",
        request: null,
        response: {
            type: "application/json",
            encrypted: false,
        },
    };
    putByOrgAndSecret_nameAndRepository_id.path = function (org, secret_name, repository_id) {
        return "/orgs/".concat(encodeURIComponent(org !== null && org !== void 0 ? org : "null"), "/actions/secrets/").concat(encodeURIComponent(secret_name !== null && secret_name !== void 0 ? secret_name : "null"), "/repositories/").concat(encodeURIComponent(repository_id !== null && repository_id !== void 0 ? repository_id : "null"));
    };
    putByOrgAndSecret_nameAndRepository_id.random = function (g) { return (function () { var _generator; return function (generator) {
        _generator = generator;
        return undefined;
    }; })()(g); };
    putByOrgAndSecret_nameAndRepository_id.simulate = function (connection, org, secret_name, repository_id) {
        var assert = NestiaSimulator_1.NestiaSimulator.assert({
            method: putByOrgAndSecret_nameAndRepository_id.METADATA.method,
            host: connection.host,
            path: putByOrgAndSecret_nameAndRepository_id.path(org, secret_name, repository_id),
            contentType: "application/json",
        });
        try {
            assert.param("org")(function () { return (function () { var $guard = typia_1.default.assert.guard; var __is = function (input) { return "string" === typeof input; }; var _errorFactory; return function (input, errorFactory) {
                if (false === __is(input)) {
                    _errorFactory = errorFactory;
                    (function (input, _path, _exceptionable) {
                        if (_exceptionable === void 0) { _exceptionable = true; }
                        return "string" === typeof input || $guard(true, {
                            path: _path + "",
                            expected: "string",
                            value: input
                        }, _errorFactory);
                    })(input, "$input", true);
                }
                return input;
            }; })()(org); });
            assert.param("secret_name")(function () { return (function () { var $guard = typia_1.default.assert.guard; var __is = function (input) { return "string" === typeof input; }; var _errorFactory; return function (input, errorFactory) {
                if (false === __is(input)) {
                    _errorFactory = errorFactory;
                    (function (input, _path, _exceptionable) {
                        if (_exceptionable === void 0) { _exceptionable = true; }
                        return "string" === typeof input || $guard(true, {
                            path: _path + "",
                            expected: "string",
                            value: input
                        }, _errorFactory);
                    })(input, "$input", true);
                }
                return input;
            }; })()(secret_name); });
            assert.param("repository_id")(function () { return (function () { var $guard = typia_1.default.assert.guard; var __is = function (input) { return "number" === typeof input && (Math.floor(input) === input && -2147483648 <= input && input <= 2147483647); }; var _errorFactory; return function (input, errorFactory) {
                if (false === __is(input)) {
                    _errorFactory = errorFactory;
                    (function (input, _path, _exceptionable) {
                        if (_exceptionable === void 0) { _exceptionable = true; }
                        return "number" === typeof input && (Math.floor(input) === input && -2147483648 <= input && input <= 2147483647 || $guard(true, {
                            path: _path + "",
                            expected: "number & Type<\"int32\">",
                            value: input
                        }, _errorFactory)) || $guard(true, {
                            path: _path + "",
                            expected: "(number & Type<\"int32\">)",
                            value: input
                        }, _errorFactory);
                    })(input, "$input", true);
                }
                return input;
            }; })()(repository_id); });
        }
        catch (exp) {
            if (!(function () { var $io0 = function (input) { return ("HEAD" === input.method || "GET" === input.method || "DELETE" === input.method || "POST" === input.method || "PUT" === input.method || "PATCH" === input.method) && "string" === typeof input.path && "number" === typeof input.status && ("object" === typeof input.headers && null !== input.headers && false === Array.isArray(input.headers) && $io1(input.headers)) && "string" === typeof input.name && "string" === typeof input.message && (undefined === input.stack || "string" === typeof input.stack); }; var $io1 = function (input) { return Object.keys(input).every(function (key) {
                var value = input[key];
                if (undefined === value)
                    return true;
                return null !== value && undefined !== value && ("string" === typeof value || Array.isArray(value) && value.every(function (elem) { return "string" === typeof elem; }));
            }); }; return function (input) { return "object" === typeof input && null !== input && $io0(input); }; })()(exp))
                throw exp;
            return {
                success: false,
                status: exp.status,
                headers: exp.headers,
                data: exp.toJSON().message,
            };
        }
        return putByOrgAndSecret_nameAndRepository_id.random("object" === typeof connection.simulate && null !== connection.simulate
            ? connection.simulate
            : undefined);
    };
})(putByOrgAndSecret_nameAndRepository_id || (exports.putByOrgAndSecret_nameAndRepository_id = putByOrgAndSecret_nameAndRepository_id = {}));
/**
 * Remove selected repository from an organization secret.
 * Removes a repository from an organization secret when the `visibility`
 * for repository access is set to `selected`. The visibility is set when you [Create
 * or update an organization secret](https://docs.github.com/rest/actions/secrets#create-or-update-an-organization-secret).
 *
 * Authenticated users must have collaborator access to a repository to create, update, or read secrets.
 *
 * OAuth app tokens and personal access tokens (classic) need the `admin:org` scope to use this endpoint. If the repository is private, the `repo` scope is also required.
 *
 * @tag actions
 * @path orgs/:org/actions/secrets/:secret_name/repositories/:repository_id
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
function eraseByOrgAndSecret_nameAndRepository_id(connection, org, secret_name, repository_id) {
    return __awaiter(this, void 0, void 0, function () {
        return __generator(this, function (_a) {
            return [2 /*return*/, !!connection.simulate
                    ? eraseByOrgAndSecret_nameAndRepository_id.simulate(connection, org, secret_name, repository_id)
                    : PlainFetcher_1.PlainFetcher.fetch(__assign(__assign({}, connection), { headers: __assign(__assign({}, connection.headers), { "Content-Type": "application/json" }) }), __assign(__assign({}, eraseByOrgAndSecret_nameAndRepository_id.METADATA), { path: eraseByOrgAndSecret_nameAndRepository_id.path(org, secret_name, repository_id), status: null }))];
        });
    });
}
(function (eraseByOrgAndSecret_nameAndRepository_id) {
    eraseByOrgAndSecret_nameAndRepository_id.METADATA = {
        method: "DELETE",
        path: "/orgs/:org/actions/secrets/:secret_name/repositories/:repository_id",
        request: null,
        response: {
            type: "application/json",
            encrypted: false,
        },
    };
    eraseByOrgAndSecret_nameAndRepository_id.path = function (org, secret_name, repository_id) {
        return "/orgs/".concat(encodeURIComponent(org !== null && org !== void 0 ? org : "null"), "/actions/secrets/").concat(encodeURIComponent(secret_name !== null && secret_name !== void 0 ? secret_name : "null"), "/repositories/").concat(encodeURIComponent(repository_id !== null && repository_id !== void 0 ? repository_id : "null"));
    };
    eraseByOrgAndSecret_nameAndRepository_id.random = function (g) { return (function () { var _generator; return function (generator) {
        _generator = generator;
        return undefined;
    }; })()(g); };
    eraseByOrgAndSecret_nameAndRepository_id.simulate = function (connection, org, secret_name, repository_id) {
        var assert = NestiaSimulator_1.NestiaSimulator.assert({
            method: eraseByOrgAndSecret_nameAndRepository_id.METADATA.method,
            host: connection.host,
            path: eraseByOrgAndSecret_nameAndRepository_id.path(org, secret_name, repository_id),
            contentType: "application/json",
        });
        try {
            assert.param("org")(function () { return (function () { var $guard = typia_1.default.assert.guard; var __is = function (input) { return "string" === typeof input; }; var _errorFactory; return function (input, errorFactory) {
                if (false === __is(input)) {
                    _errorFactory = errorFactory;
                    (function (input, _path, _exceptionable) {
                        if (_exceptionable === void 0) { _exceptionable = true; }
                        return "string" === typeof input || $guard(true, {
                            path: _path + "",
                            expected: "string",
                            value: input
                        }, _errorFactory);
                    })(input, "$input", true);
                }
                return input;
            }; })()(org); });
            assert.param("secret_name")(function () { return (function () { var $guard = typia_1.default.assert.guard; var __is = function (input) { return "string" === typeof input; }; var _errorFactory; return function (input, errorFactory) {
                if (false === __is(input)) {
                    _errorFactory = errorFactory;
                    (function (input, _path, _exceptionable) {
                        if (_exceptionable === void 0) { _exceptionable = true; }
                        return "string" === typeof input || $guard(true, {
                            path: _path + "",
                            expected: "string",
                            value: input
                        }, _errorFactory);
                    })(input, "$input", true);
                }
                return input;
            }; })()(secret_name); });
            assert.param("repository_id")(function () { return (function () { var $guard = typia_1.default.assert.guard; var __is = function (input) { return "number" === typeof input && (Math.floor(input) === input && -2147483648 <= input && input <= 2147483647); }; var _errorFactory; return function (input, errorFactory) {
                if (false === __is(input)) {
                    _errorFactory = errorFactory;
                    (function (input, _path, _exceptionable) {
                        if (_exceptionable === void 0) { _exceptionable = true; }
                        return "number" === typeof input && (Math.floor(input) === input && -2147483648 <= input && input <= 2147483647 || $guard(true, {
                            path: _path + "",
                            expected: "number & Type<\"int32\">",
                            value: input
                        }, _errorFactory)) || $guard(true, {
                            path: _path + "",
                            expected: "(number & Type<\"int32\">)",
                            value: input
                        }, _errorFactory);
                    })(input, "$input", true);
                }
                return input;
            }; })()(repository_id); });
        }
        catch (exp) {
            if (!(function () { var $io0 = function (input) { return ("HEAD" === input.method || "GET" === input.method || "DELETE" === input.method || "POST" === input.method || "PUT" === input.method || "PATCH" === input.method) && "string" === typeof input.path && "number" === typeof input.status && ("object" === typeof input.headers && null !== input.headers && false === Array.isArray(input.headers) && $io1(input.headers)) && "string" === typeof input.name && "string" === typeof input.message && (undefined === input.stack || "string" === typeof input.stack); }; var $io1 = function (input) { return Object.keys(input).every(function (key) {
                var value = input[key];
                if (undefined === value)
                    return true;
                return null !== value && undefined !== value && ("string" === typeof value || Array.isArray(value) && value.every(function (elem) { return "string" === typeof elem; }));
            }); }; return function (input) { return "object" === typeof input && null !== input && $io0(input); }; })()(exp))
                throw exp;
            return {
                success: false,
                status: exp.status,
                headers: exp.headers,
                data: exp.toJSON().message,
            };
        }
        return eraseByOrgAndSecret_nameAndRepository_id.random("object" === typeof connection.simulate && null !== connection.simulate
            ? connection.simulate
            : undefined);
    };
})(eraseByOrgAndSecret_nameAndRepository_id || (exports.eraseByOrgAndSecret_nameAndRepository_id = eraseByOrgAndSecret_nameAndRepository_id = {}));
//# sourceMappingURL=index.js.map