import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiOrgsCodeSecurityConfigurationsAttach } from "../../../../../structures/IApiOrgsCodeSecurityConfigurationsAttach";
import { body } from "../../../../../structures/body";
/**
 * Attach a configuration to repositories.
 * Attach a code security configuration to a set of repositories. If the repositories specified are already attached to a configuration, they will be re-attached to the provided configuration.
 *
 * If insufficient GHAS licenses are available to attach the configuration to a repository, only free features will be enabled.
 *
 * The authenticated user must be an administrator or security manager for the organization to use this endpoint.
 *
 * OAuth app tokens and personal access tokens (classic) need the `write:org` scope to use this endpoint.
 *
 * @tag code-security
 * @path orgs/:org/code-security/configurations/:configuration_id/attach
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function postByOrgAndConfiguration_id(connection: IConnection<postByOrgAndConfiguration_id.Headers>, org: string, configuration_id: string, body: postByOrgAndConfiguration_id.Input): Promise<void>;
export declare namespace postByOrgAndConfiguration_id {
    type Headers = IApiOrgsCodeSecurityConfigurationsAttach.PostHeader;
    type Input = body;
    const METADATA: {
        readonly method: "POST";
        readonly path: "/orgs/:org/code-security/configurations/:configuration_id/attach";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (org: string, configuration_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<postByOrgAndConfiguration_id.Headers>, org: string, configuration_id: string, body: postByOrgAndConfiguration_id.Input) => void;
}
