import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiOrgsCodeSecurityConfigurationsRepositories } from "../../../../../structures/IApiOrgsCodeSecurityConfigurationsRepositories";
import { code_minus_security_minus_configuration_minus_repositories } from "../../../../../structures/code_minus_security_minus_configuration_minus_repositories";
/**
 * Get repositories associated with a code security configuration.
 * Lists the repositories associated with a code security configuration in an organization.
 *
 * The authenticated user must be an administrator or security manager for the organization to use this endpoint.
 *
 * OAuth app tokens and personal access tokens (classic) need the `write:org` scope to use this endpoint.
 *
 * @tag code-security
 * @path orgs/:org/code-security/configurations/:configuration_id/repositories
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOrgAndConfiguration_id(connection: IConnection<getByOrgAndConfiguration_id.Headers>, org: string, configuration_id: string, query: getByOrgAndConfiguration_id.Query): Promise<getByOrgAndConfiguration_id.Output>;
export declare namespace getByOrgAndConfiguration_id {
    type Headers = IApiOrgsCodeSecurityConfigurationsRepositories.GetHeader;
    type Query = IApiOrgsCodeSecurityConfigurationsRepositories.GetQuery;
    type Output = code_minus_security_minus_configuration_minus_repositories[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/orgs/:org/code-security/configurations/:configuration_id/repositories";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (org: string, configuration_id: string, query: getByOrgAndConfiguration_id.Query) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => code_minus_security_minus_configuration_minus_repositories[];
    const simulate: (connection: IConnection<getByOrgAndConfiguration_id.Headers>, org: string, configuration_id: string, query: getByOrgAndConfiguration_id.Query) => Output;
}
