"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (g && (g = 0, op[0] && (_ = 0)), _) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __values = (this && this.__values) || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m) return m.call(o);
    if (o && typeof o.length === "number") return {
        next: function () {
            if (o && i >= o.length) o = void 0;
            return { value: o && o[i++], done: !o };
        }
    };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getByOrgAndConfiguration_id = getByOrgAndConfiguration_id;
var NestiaSimulator_1 = require("@nestia/fetcher/lib/NestiaSimulator");
var PlainFetcher_1 = require("@nestia/fetcher/lib/PlainFetcher");
var typia_1 = __importDefault(require("typia"));
/**
 * Get repositories associated with a code security configuration.
 * Lists the repositories associated with a code security configuration in an organization.
 *
 * The authenticated user must be an administrator or security manager for the organization to use this endpoint.
 *
 * OAuth app tokens and personal access tokens (classic) need the `write:org` scope to use this endpoint.
 *
 * @tag code-security
 * @path orgs/:org/code-security/configurations/:configuration_id/repositories
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
function getByOrgAndConfiguration_id(connection, org, configuration_id, query) {
    return __awaiter(this, void 0, void 0, function () {
        return __generator(this, function (_a) {
            return [2 /*return*/, !!connection.simulate
                    ? getByOrgAndConfiguration_id.simulate(connection, org, configuration_id, query)
                    : PlainFetcher_1.PlainFetcher.fetch(__assign(__assign({}, connection), { headers: __assign(__assign({}, connection.headers), { "Content-Type": "application/json" }) }), __assign(__assign({}, getByOrgAndConfiguration_id.METADATA), { path: getByOrgAndConfiguration_id.path(org, configuration_id, query), status: null }))];
        });
    });
}
(function (getByOrgAndConfiguration_id) {
    getByOrgAndConfiguration_id.METADATA = {
        method: "GET",
        path: "/orgs/:org/code-security/configurations/:configuration_id/repositories",
        request: null,
        response: {
            type: "application/json",
            encrypted: false,
        },
    };
    getByOrgAndConfiguration_id.path = function (org, configuration_id, query) {
        var e_1, _a;
        var variables = new URLSearchParams();
        var _loop_1 = function (key, value) {
            if (undefined === value)
                return "continue";
            else if (Array.isArray(value))
                value.forEach(function (elem) { return variables.append(key, String(elem)); });
            else
                variables.set(key, String(value));
        };
        try {
            for (var _b = __values(Object.entries(query)), _c = _b.next(); !_c.done; _c = _b.next()) {
                var _d = __read(_c.value, 2), key = _d[0], value = _d[1];
                _loop_1(key, value);
            }
        }
        catch (e_1_1) { e_1 = { error: e_1_1 }; }
        finally {
            try {
                if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
            }
            finally { if (e_1) throw e_1.error; }
        }
        var location = "/orgs/".concat(encodeURIComponent(org !== null && org !== void 0 ? org : "null"), "/code-security/configurations/").concat(encodeURIComponent(configuration_id !== null && configuration_id !== void 0 ? configuration_id : "null"), "/repositories");
        return 0 === variables.size
            ? location
            : "".concat(location, "?").concat(variables.toString());
    };
    getByOrgAndConfiguration_id.random = function (g) { return (function () { var $pick = typia_1.default.random.pick; var $generator = typia_1.default.random.generator; var $ro0 = function (_recursive, _depth) {
        if (_recursive === void 0) { _recursive = false; }
        if (_depth === void 0) { _depth = 0; }
        return ({
            status: $pick([
                function () { return undefined; },
                function () { return "enforced"; },
                function () { return "attached"; },
                function () { return "attaching"; },
                function () { return "detached"; },
                function () { return "removed"; },
                function () { return "failed"; },
                function () { return "updating"; },
                function () { return "removed_by_enterprise"; }
            ])(),
            repository: $pick([
                function () { return undefined; },
                function () { return $ro1(_recursive, _recursive ? 1 + _depth : _depth); }
            ])()
        });
    }; var $ro1 = function (_recursive, _depth) {
        var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, _p, _q, _r, _s, _t, _u, _v, _w, _x, _y, _z, _0, _1, _2, _3, _4, _5, _6, _7, _8, _9, _10, _11, _12, _13, _14, _15, _16, _17, _18, _19, _20, _21, _22, _23, _24, _25, _26, _27, _28, _29, _30, _31, _32, _33, _34, _35, _36, _37, _38, _39, _40, _41, _42, _43, _44, _45, _46, _47, _48, _49, _50, _51, _52, _53, _54, _55, _56, _57, _58, _59, _60, _61, _62, _63, _64, _65, _66, _67, _68, _69, _70, _71, _72, _73, _74, _75, _76, _77, _78, _79, _80, _81, _82, _83, _84, _85, _86, _87, _88, _89, _90, _91, _92, _93, _94, _95, _96, _97, _98, _99, _100, _101, _102, _103, _104, _105, _106, _107, _108, _109, _110, _111, _112, _113, _114, _115, _116, _117, _118, _119, _120, _121, _122, _123, _124, _125, _126, _127, _128, _129, _130, _131, _132, _133, _134, _135, _136, _137, _138, _139, _140, _141, _142, _143, _144, _145, _146, _147, _148, _149, _150, _151, _152, _153, _154, _155, _156, _157, _158, _159, _160, _161, _162, _163, _164, _165, _166, _167, _168, _169, _170, _171, _172, _173, _174, _175, _176, _177, _178, _179, _180, _181, _182, _183, _184, _185, _186, _187;
        if (_recursive === void 0) { _recursive = false; }
        if (_depth === void 0) { _depth = 0; }
        return ({
            id: (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.number) === null || _c === void 0 ? void 0 : _c.call(_b, [
                {
                    name: "Type<\"int32\">",
                    kind: "type",
                    value: "int32"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.integer) !== null && _e !== void 0 ? _e : $generator.integer)(0, 100),
            node_id: (_j = (_h = (_g = ((_f = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _f !== void 0 ? _f : $generator.customs)) === null || _g === void 0 ? void 0 : _g.string) === null || _h === void 0 ? void 0 : _h.call(_g, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _j !== void 0 ? _j : ((_k = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _k !== void 0 ? _k : $generator.string)(),
            name: (_p = (_o = (_m = ((_l = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _l !== void 0 ? _l : $generator.customs)) === null || _m === void 0 ? void 0 : _m.string) === null || _o === void 0 ? void 0 : _o.call(_m, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _p !== void 0 ? _p : ((_q = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _q !== void 0 ? _q : $generator.string)(),
            full_name: (_u = (_t = (_s = ((_r = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _r !== void 0 ? _r : $generator.customs)) === null || _s === void 0 ? void 0 : _s.string) === null || _t === void 0 ? void 0 : _t.call(_s, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _u !== void 0 ? _u : ((_v = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _v !== void 0 ? _v : $generator.string)(),
            owner: $ro2(_recursive, _recursive ? 1 + _depth : _depth),
            private: ((_w = _generator === null || _generator === void 0 ? void 0 : _generator.boolean) !== null && _w !== void 0 ? _w : $generator.boolean)(),
            html_url: (_0 = (_z = (_y = ((_x = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _x !== void 0 ? _x : $generator.customs)) === null || _y === void 0 ? void 0 : _y.string) === null || _z === void 0 ? void 0 : _z.call(_y, [
                {
                    name: "Format<\"uri\">",
                    kind: "format",
                    value: "uri"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _0 !== void 0 ? _0 : ((_1 = _generator === null || _generator === void 0 ? void 0 : _generator.uri) !== null && _1 !== void 0 ? _1 : $generator.uri)(),
            description: $pick([
                function () { return null; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "JsonSchemaPlugin<__type>",
                        kind: "jsonPlugin"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _e !== void 0 ? _e : $generator.string)(); }
            ])(),
            fork: ((_2 = _generator === null || _generator === void 0 ? void 0 : _generator.boolean) !== null && _2 !== void 0 ? _2 : $generator.boolean)(),
            url: (_6 = (_5 = (_4 = ((_3 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _3 !== void 0 ? _3 : $generator.customs)) === null || _4 === void 0 ? void 0 : _4.string) === null || _5 === void 0 ? void 0 : _5.call(_4, [
                {
                    name: "Format<\"uri\">",
                    kind: "format",
                    value: "uri"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _6 !== void 0 ? _6 : ((_7 = _generator === null || _generator === void 0 ? void 0 : _generator.uri) !== null && _7 !== void 0 ? _7 : $generator.uri)(),
            archive_url: (_11 = (_10 = (_9 = ((_8 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _8 !== void 0 ? _8 : $generator.customs)) === null || _9 === void 0 ? void 0 : _9.string) === null || _10 === void 0 ? void 0 : _10.call(_9, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _11 !== void 0 ? _11 : ((_12 = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _12 !== void 0 ? _12 : $generator.string)(),
            assignees_url: (_16 = (_15 = (_14 = ((_13 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _13 !== void 0 ? _13 : $generator.customs)) === null || _14 === void 0 ? void 0 : _14.string) === null || _15 === void 0 ? void 0 : _15.call(_14, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _16 !== void 0 ? _16 : ((_17 = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _17 !== void 0 ? _17 : $generator.string)(),
            blobs_url: (_21 = (_20 = (_19 = ((_18 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _18 !== void 0 ? _18 : $generator.customs)) === null || _19 === void 0 ? void 0 : _19.string) === null || _20 === void 0 ? void 0 : _20.call(_19, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _21 !== void 0 ? _21 : ((_22 = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _22 !== void 0 ? _22 : $generator.string)(),
            branches_url: (_26 = (_25 = (_24 = ((_23 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _23 !== void 0 ? _23 : $generator.customs)) === null || _24 === void 0 ? void 0 : _24.string) === null || _25 === void 0 ? void 0 : _25.call(_24, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _26 !== void 0 ? _26 : ((_27 = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _27 !== void 0 ? _27 : $generator.string)(),
            collaborators_url: (_31 = (_30 = (_29 = ((_28 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _28 !== void 0 ? _28 : $generator.customs)) === null || _29 === void 0 ? void 0 : _29.string) === null || _30 === void 0 ? void 0 : _30.call(_29, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _31 !== void 0 ? _31 : ((_32 = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _32 !== void 0 ? _32 : $generator.string)(),
            comments_url: (_36 = (_35 = (_34 = ((_33 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _33 !== void 0 ? _33 : $generator.customs)) === null || _34 === void 0 ? void 0 : _34.string) === null || _35 === void 0 ? void 0 : _35.call(_34, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _36 !== void 0 ? _36 : ((_37 = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _37 !== void 0 ? _37 : $generator.string)(),
            commits_url: (_41 = (_40 = (_39 = ((_38 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _38 !== void 0 ? _38 : $generator.customs)) === null || _39 === void 0 ? void 0 : _39.string) === null || _40 === void 0 ? void 0 : _40.call(_39, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _41 !== void 0 ? _41 : ((_42 = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _42 !== void 0 ? _42 : $generator.string)(),
            compare_url: (_46 = (_45 = (_44 = ((_43 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _43 !== void 0 ? _43 : $generator.customs)) === null || _44 === void 0 ? void 0 : _44.string) === null || _45 === void 0 ? void 0 : _45.call(_44, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _46 !== void 0 ? _46 : ((_47 = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _47 !== void 0 ? _47 : $generator.string)(),
            contents_url: (_51 = (_50 = (_49 = ((_48 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _48 !== void 0 ? _48 : $generator.customs)) === null || _49 === void 0 ? void 0 : _49.string) === null || _50 === void 0 ? void 0 : _50.call(_49, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _51 !== void 0 ? _51 : ((_52 = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _52 !== void 0 ? _52 : $generator.string)(),
            contributors_url: (_56 = (_55 = (_54 = ((_53 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _53 !== void 0 ? _53 : $generator.customs)) === null || _54 === void 0 ? void 0 : _54.string) === null || _55 === void 0 ? void 0 : _55.call(_54, [
                {
                    name: "Format<\"uri\">",
                    kind: "format",
                    value: "uri"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _56 !== void 0 ? _56 : ((_57 = _generator === null || _generator === void 0 ? void 0 : _generator.uri) !== null && _57 !== void 0 ? _57 : $generator.uri)(),
            deployments_url: (_61 = (_60 = (_59 = ((_58 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _58 !== void 0 ? _58 : $generator.customs)) === null || _59 === void 0 ? void 0 : _59.string) === null || _60 === void 0 ? void 0 : _60.call(_59, [
                {
                    name: "Format<\"uri\">",
                    kind: "format",
                    value: "uri"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _61 !== void 0 ? _61 : ((_62 = _generator === null || _generator === void 0 ? void 0 : _generator.uri) !== null && _62 !== void 0 ? _62 : $generator.uri)(),
            downloads_url: (_66 = (_65 = (_64 = ((_63 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _63 !== void 0 ? _63 : $generator.customs)) === null || _64 === void 0 ? void 0 : _64.string) === null || _65 === void 0 ? void 0 : _65.call(_64, [
                {
                    name: "Format<\"uri\">",
                    kind: "format",
                    value: "uri"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _66 !== void 0 ? _66 : ((_67 = _generator === null || _generator === void 0 ? void 0 : _generator.uri) !== null && _67 !== void 0 ? _67 : $generator.uri)(),
            events_url: (_71 = (_70 = (_69 = ((_68 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _68 !== void 0 ? _68 : $generator.customs)) === null || _69 === void 0 ? void 0 : _69.string) === null || _70 === void 0 ? void 0 : _70.call(_69, [
                {
                    name: "Format<\"uri\">",
                    kind: "format",
                    value: "uri"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _71 !== void 0 ? _71 : ((_72 = _generator === null || _generator === void 0 ? void 0 : _generator.uri) !== null && _72 !== void 0 ? _72 : $generator.uri)(),
            forks_url: (_76 = (_75 = (_74 = ((_73 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _73 !== void 0 ? _73 : $generator.customs)) === null || _74 === void 0 ? void 0 : _74.string) === null || _75 === void 0 ? void 0 : _75.call(_74, [
                {
                    name: "Format<\"uri\">",
                    kind: "format",
                    value: "uri"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _76 !== void 0 ? _76 : ((_77 = _generator === null || _generator === void 0 ? void 0 : _generator.uri) !== null && _77 !== void 0 ? _77 : $generator.uri)(),
            git_commits_url: (_81 = (_80 = (_79 = ((_78 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _78 !== void 0 ? _78 : $generator.customs)) === null || _79 === void 0 ? void 0 : _79.string) === null || _80 === void 0 ? void 0 : _80.call(_79, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _81 !== void 0 ? _81 : ((_82 = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _82 !== void 0 ? _82 : $generator.string)(),
            git_refs_url: (_86 = (_85 = (_84 = ((_83 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _83 !== void 0 ? _83 : $generator.customs)) === null || _84 === void 0 ? void 0 : _84.string) === null || _85 === void 0 ? void 0 : _85.call(_84, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _86 !== void 0 ? _86 : ((_87 = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _87 !== void 0 ? _87 : $generator.string)(),
            git_tags_url: (_91 = (_90 = (_89 = ((_88 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _88 !== void 0 ? _88 : $generator.customs)) === null || _89 === void 0 ? void 0 : _89.string) === null || _90 === void 0 ? void 0 : _90.call(_89, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _91 !== void 0 ? _91 : ((_92 = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _92 !== void 0 ? _92 : $generator.string)(),
            issue_comment_url: (_96 = (_95 = (_94 = ((_93 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _93 !== void 0 ? _93 : $generator.customs)) === null || _94 === void 0 ? void 0 : _94.string) === null || _95 === void 0 ? void 0 : _95.call(_94, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _96 !== void 0 ? _96 : ((_97 = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _97 !== void 0 ? _97 : $generator.string)(),
            issue_events_url: (_101 = (_100 = (_99 = ((_98 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _98 !== void 0 ? _98 : $generator.customs)) === null || _99 === void 0 ? void 0 : _99.string) === null || _100 === void 0 ? void 0 : _100.call(_99, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _101 !== void 0 ? _101 : ((_102 = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _102 !== void 0 ? _102 : $generator.string)(),
            issues_url: (_106 = (_105 = (_104 = ((_103 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _103 !== void 0 ? _103 : $generator.customs)) === null || _104 === void 0 ? void 0 : _104.string) === null || _105 === void 0 ? void 0 : _105.call(_104, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _106 !== void 0 ? _106 : ((_107 = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _107 !== void 0 ? _107 : $generator.string)(),
            keys_url: (_111 = (_110 = (_109 = ((_108 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _108 !== void 0 ? _108 : $generator.customs)) === null || _109 === void 0 ? void 0 : _109.string) === null || _110 === void 0 ? void 0 : _110.call(_109, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _111 !== void 0 ? _111 : ((_112 = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _112 !== void 0 ? _112 : $generator.string)(),
            labels_url: (_116 = (_115 = (_114 = ((_113 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _113 !== void 0 ? _113 : $generator.customs)) === null || _114 === void 0 ? void 0 : _114.string) === null || _115 === void 0 ? void 0 : _115.call(_114, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _116 !== void 0 ? _116 : ((_117 = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _117 !== void 0 ? _117 : $generator.string)(),
            languages_url: (_121 = (_120 = (_119 = ((_118 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _118 !== void 0 ? _118 : $generator.customs)) === null || _119 === void 0 ? void 0 : _119.string) === null || _120 === void 0 ? void 0 : _120.call(_119, [
                {
                    name: "Format<\"uri\">",
                    kind: "format",
                    value: "uri"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _121 !== void 0 ? _121 : ((_122 = _generator === null || _generator === void 0 ? void 0 : _generator.uri) !== null && _122 !== void 0 ? _122 : $generator.uri)(),
            merges_url: (_126 = (_125 = (_124 = ((_123 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _123 !== void 0 ? _123 : $generator.customs)) === null || _124 === void 0 ? void 0 : _124.string) === null || _125 === void 0 ? void 0 : _125.call(_124, [
                {
                    name: "Format<\"uri\">",
                    kind: "format",
                    value: "uri"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _126 !== void 0 ? _126 : ((_127 = _generator === null || _generator === void 0 ? void 0 : _generator.uri) !== null && _127 !== void 0 ? _127 : $generator.uri)(),
            milestones_url: (_131 = (_130 = (_129 = ((_128 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _128 !== void 0 ? _128 : $generator.customs)) === null || _129 === void 0 ? void 0 : _129.string) === null || _130 === void 0 ? void 0 : _130.call(_129, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _131 !== void 0 ? _131 : ((_132 = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _132 !== void 0 ? _132 : $generator.string)(),
            notifications_url: (_136 = (_135 = (_134 = ((_133 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _133 !== void 0 ? _133 : $generator.customs)) === null || _134 === void 0 ? void 0 : _134.string) === null || _135 === void 0 ? void 0 : _135.call(_134, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _136 !== void 0 ? _136 : ((_137 = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _137 !== void 0 ? _137 : $generator.string)(),
            pulls_url: (_141 = (_140 = (_139 = ((_138 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _138 !== void 0 ? _138 : $generator.customs)) === null || _139 === void 0 ? void 0 : _139.string) === null || _140 === void 0 ? void 0 : _140.call(_139, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _141 !== void 0 ? _141 : ((_142 = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _142 !== void 0 ? _142 : $generator.string)(),
            releases_url: (_146 = (_145 = (_144 = ((_143 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _143 !== void 0 ? _143 : $generator.customs)) === null || _144 === void 0 ? void 0 : _144.string) === null || _145 === void 0 ? void 0 : _145.call(_144, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _146 !== void 0 ? _146 : ((_147 = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _147 !== void 0 ? _147 : $generator.string)(),
            stargazers_url: (_151 = (_150 = (_149 = ((_148 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _148 !== void 0 ? _148 : $generator.customs)) === null || _149 === void 0 ? void 0 : _149.string) === null || _150 === void 0 ? void 0 : _150.call(_149, [
                {
                    name: "Format<\"uri\">",
                    kind: "format",
                    value: "uri"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _151 !== void 0 ? _151 : ((_152 = _generator === null || _generator === void 0 ? void 0 : _generator.uri) !== null && _152 !== void 0 ? _152 : $generator.uri)(),
            statuses_url: (_156 = (_155 = (_154 = ((_153 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _153 !== void 0 ? _153 : $generator.customs)) === null || _154 === void 0 ? void 0 : _154.string) === null || _155 === void 0 ? void 0 : _155.call(_154, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _156 !== void 0 ? _156 : ((_157 = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _157 !== void 0 ? _157 : $generator.string)(),
            subscribers_url: (_161 = (_160 = (_159 = ((_158 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _158 !== void 0 ? _158 : $generator.customs)) === null || _159 === void 0 ? void 0 : _159.string) === null || _160 === void 0 ? void 0 : _160.call(_159, [
                {
                    name: "Format<\"uri\">",
                    kind: "format",
                    value: "uri"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _161 !== void 0 ? _161 : ((_162 = _generator === null || _generator === void 0 ? void 0 : _generator.uri) !== null && _162 !== void 0 ? _162 : $generator.uri)(),
            subscription_url: (_166 = (_165 = (_164 = ((_163 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _163 !== void 0 ? _163 : $generator.customs)) === null || _164 === void 0 ? void 0 : _164.string) === null || _165 === void 0 ? void 0 : _165.call(_164, [
                {
                    name: "Format<\"uri\">",
                    kind: "format",
                    value: "uri"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _166 !== void 0 ? _166 : ((_167 = _generator === null || _generator === void 0 ? void 0 : _generator.uri) !== null && _167 !== void 0 ? _167 : $generator.uri)(),
            tags_url: (_171 = (_170 = (_169 = ((_168 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _168 !== void 0 ? _168 : $generator.customs)) === null || _169 === void 0 ? void 0 : _169.string) === null || _170 === void 0 ? void 0 : _170.call(_169, [
                {
                    name: "Format<\"uri\">",
                    kind: "format",
                    value: "uri"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _171 !== void 0 ? _171 : ((_172 = _generator === null || _generator === void 0 ? void 0 : _generator.uri) !== null && _172 !== void 0 ? _172 : $generator.uri)(),
            teams_url: (_176 = (_175 = (_174 = ((_173 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _173 !== void 0 ? _173 : $generator.customs)) === null || _174 === void 0 ? void 0 : _174.string) === null || _175 === void 0 ? void 0 : _175.call(_174, [
                {
                    name: "Format<\"uri\">",
                    kind: "format",
                    value: "uri"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _176 !== void 0 ? _176 : ((_177 = _generator === null || _generator === void 0 ? void 0 : _generator.uri) !== null && _177 !== void 0 ? _177 : $generator.uri)(),
            trees_url: (_181 = (_180 = (_179 = ((_178 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _178 !== void 0 ? _178 : $generator.customs)) === null || _179 === void 0 ? void 0 : _179.string) === null || _180 === void 0 ? void 0 : _180.call(_179, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _181 !== void 0 ? _181 : ((_182 = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _182 !== void 0 ? _182 : $generator.string)(),
            hooks_url: (_186 = (_185 = (_184 = ((_183 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _183 !== void 0 ? _183 : $generator.customs)) === null || _184 === void 0 ? void 0 : _184.string) === null || _185 === void 0 ? void 0 : _185.call(_184, [
                {
                    name: "Format<\"uri\">",
                    kind: "format",
                    value: "uri"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _186 !== void 0 ? _186 : ((_187 = _generator === null || _generator === void 0 ? void 0 : _generator.uri) !== null && _187 !== void 0 ? _187 : $generator.uri)()
        });
    }; var $ro2 = function (_recursive, _depth) {
        var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, _p, _q, _r, _s, _t, _u, _v, _w, _x, _y, _z, _0, _1, _2, _3, _4, _5, _6, _7, _8, _9, _10, _11, _12, _13, _14, _15, _16, _17, _18, _19, _20, _21, _22, _23, _24, _25, _26, _27, _28, _29, _30, _31, _32, _33, _34, _35, _36, _37, _38, _39, _40, _41, _42, _43, _44, _45, _46, _47, _48, _49, _50, _51, _52, _53, _54, _55, _56;
        if (_recursive === void 0) { _recursive = false; }
        if (_depth === void 0) { _depth = 0; }
        return ({
            name: $pick([
                function () { return undefined; },
                function () { return null; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _e !== void 0 ? _e : $generator.string)(); }
            ])(),
            email: $pick([
                function () { return undefined; },
                function () { return null; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _e !== void 0 ? _e : $generator.string)(); }
            ])(),
            login: (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _e !== void 0 ? _e : $generator.string)(),
            id: (_j = (_h = (_g = ((_f = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _f !== void 0 ? _f : $generator.customs)) === null || _g === void 0 ? void 0 : _g.number) === null || _h === void 0 ? void 0 : _h.call(_g, [
                {
                    name: "Type<\"int32\">",
                    kind: "type",
                    value: "int32"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _j !== void 0 ? _j : ((_k = _generator === null || _generator === void 0 ? void 0 : _generator.integer) !== null && _k !== void 0 ? _k : $generator.integer)(0, 100),
            node_id: (_p = (_o = (_m = ((_l = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _l !== void 0 ? _l : $generator.customs)) === null || _m === void 0 ? void 0 : _m.string) === null || _o === void 0 ? void 0 : _o.call(_m, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _p !== void 0 ? _p : ((_q = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _q !== void 0 ? _q : $generator.string)(),
            avatar_url: (_u = (_t = (_s = ((_r = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _r !== void 0 ? _r : $generator.customs)) === null || _s === void 0 ? void 0 : _s.string) === null || _t === void 0 ? void 0 : _t.call(_s, [
                {
                    name: "Format<\"uri\">",
                    kind: "format",
                    value: "uri"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _u !== void 0 ? _u : ((_v = _generator === null || _generator === void 0 ? void 0 : _generator.uri) !== null && _v !== void 0 ? _v : $generator.uri)(),
            gravatar_id: $pick([
                function () { return null; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "JsonSchemaPlugin<__type>",
                        kind: "jsonPlugin"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _e !== void 0 ? _e : $generator.string)(); }
            ])(),
            url: (_z = (_y = (_x = ((_w = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _w !== void 0 ? _w : $generator.customs)) === null || _x === void 0 ? void 0 : _x.string) === null || _y === void 0 ? void 0 : _y.call(_x, [
                {
                    name: "Format<\"uri\">",
                    kind: "format",
                    value: "uri"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _z !== void 0 ? _z : ((_0 = _generator === null || _generator === void 0 ? void 0 : _generator.uri) !== null && _0 !== void 0 ? _0 : $generator.uri)(),
            html_url: (_4 = (_3 = (_2 = ((_1 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _1 !== void 0 ? _1 : $generator.customs)) === null || _2 === void 0 ? void 0 : _2.string) === null || _3 === void 0 ? void 0 : _3.call(_2, [
                {
                    name: "Format<\"uri\">",
                    kind: "format",
                    value: "uri"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _4 !== void 0 ? _4 : ((_5 = _generator === null || _generator === void 0 ? void 0 : _generator.uri) !== null && _5 !== void 0 ? _5 : $generator.uri)(),
            followers_url: (_9 = (_8 = (_7 = ((_6 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _6 !== void 0 ? _6 : $generator.customs)) === null || _7 === void 0 ? void 0 : _7.string) === null || _8 === void 0 ? void 0 : _8.call(_7, [
                {
                    name: "Format<\"uri\">",
                    kind: "format",
                    value: "uri"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _9 !== void 0 ? _9 : ((_10 = _generator === null || _generator === void 0 ? void 0 : _generator.uri) !== null && _10 !== void 0 ? _10 : $generator.uri)(),
            following_url: (_14 = (_13 = (_12 = ((_11 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _11 !== void 0 ? _11 : $generator.customs)) === null || _12 === void 0 ? void 0 : _12.string) === null || _13 === void 0 ? void 0 : _13.call(_12, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _14 !== void 0 ? _14 : ((_15 = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _15 !== void 0 ? _15 : $generator.string)(),
            gists_url: (_19 = (_18 = (_17 = ((_16 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _16 !== void 0 ? _16 : $generator.customs)) === null || _17 === void 0 ? void 0 : _17.string) === null || _18 === void 0 ? void 0 : _18.call(_17, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _19 !== void 0 ? _19 : ((_20 = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _20 !== void 0 ? _20 : $generator.string)(),
            starred_url: (_24 = (_23 = (_22 = ((_21 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _21 !== void 0 ? _21 : $generator.customs)) === null || _22 === void 0 ? void 0 : _22.string) === null || _23 === void 0 ? void 0 : _23.call(_22, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _24 !== void 0 ? _24 : ((_25 = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _25 !== void 0 ? _25 : $generator.string)(),
            subscriptions_url: (_29 = (_28 = (_27 = ((_26 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _26 !== void 0 ? _26 : $generator.customs)) === null || _27 === void 0 ? void 0 : _27.string) === null || _28 === void 0 ? void 0 : _28.call(_27, [
                {
                    name: "Format<\"uri\">",
                    kind: "format",
                    value: "uri"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _29 !== void 0 ? _29 : ((_30 = _generator === null || _generator === void 0 ? void 0 : _generator.uri) !== null && _30 !== void 0 ? _30 : $generator.uri)(),
            organizations_url: (_34 = (_33 = (_32 = ((_31 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _31 !== void 0 ? _31 : $generator.customs)) === null || _32 === void 0 ? void 0 : _32.string) === null || _33 === void 0 ? void 0 : _33.call(_32, [
                {
                    name: "Format<\"uri\">",
                    kind: "format",
                    value: "uri"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _34 !== void 0 ? _34 : ((_35 = _generator === null || _generator === void 0 ? void 0 : _generator.uri) !== null && _35 !== void 0 ? _35 : $generator.uri)(),
            repos_url: (_39 = (_38 = (_37 = ((_36 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _36 !== void 0 ? _36 : $generator.customs)) === null || _37 === void 0 ? void 0 : _37.string) === null || _38 === void 0 ? void 0 : _38.call(_37, [
                {
                    name: "Format<\"uri\">",
                    kind: "format",
                    value: "uri"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _39 !== void 0 ? _39 : ((_40 = _generator === null || _generator === void 0 ? void 0 : _generator.uri) !== null && _40 !== void 0 ? _40 : $generator.uri)(),
            events_url: (_44 = (_43 = (_42 = ((_41 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _41 !== void 0 ? _41 : $generator.customs)) === null || _42 === void 0 ? void 0 : _42.string) === null || _43 === void 0 ? void 0 : _43.call(_42, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _44 !== void 0 ? _44 : ((_45 = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _45 !== void 0 ? _45 : $generator.string)(),
            received_events_url: (_49 = (_48 = (_47 = ((_46 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _46 !== void 0 ? _46 : $generator.customs)) === null || _47 === void 0 ? void 0 : _47.string) === null || _48 === void 0 ? void 0 : _48.call(_47, [
                {
                    name: "Format<\"uri\">",
                    kind: "format",
                    value: "uri"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _49 !== void 0 ? _49 : ((_50 = _generator === null || _generator === void 0 ? void 0 : _generator.uri) !== null && _50 !== void 0 ? _50 : $generator.uri)(),
            type: (_54 = (_53 = (_52 = ((_51 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _51 !== void 0 ? _51 : $generator.customs)) === null || _52 === void 0 ? void 0 : _52.string) === null || _53 === void 0 ? void 0 : _53.call(_52, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _54 !== void 0 ? _54 : ((_55 = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _55 !== void 0 ? _55 : $generator.string)(),
            site_admin: ((_56 = _generator === null || _generator === void 0 ? void 0 : _generator.boolean) !== null && _56 !== void 0 ? _56 : $generator.boolean)(),
            starred_at: $pick([
                function () { return undefined; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "JsonSchemaPlugin<__type>",
                        kind: "jsonPlugin"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _e !== void 0 ? _e : $generator.string)(); }
            ])()
        });
    }; var _generator; return function (generator) {
        var _a;
        _generator = generator;
        return ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.array) !== null && _a !== void 0 ? _a : $generator.array)(function () { return $ro0(); });
    }; })()(g); };
    getByOrgAndConfiguration_id.simulate = function (connection, org, configuration_id, query) {
        var assert = NestiaSimulator_1.NestiaSimulator.assert({
            method: getByOrgAndConfiguration_id.METADATA.method,
            host: connection.host,
            path: getByOrgAndConfiguration_id.path(org, configuration_id, query),
            contentType: "application/json",
        });
        try {
            assert.param("org")(function () { return (function () { var $guard = typia_1.default.assert.guard; var __is = function (input) { return "string" === typeof input; }; var _errorFactory; return function (input, errorFactory) {
                if (false === __is(input)) {
                    _errorFactory = errorFactory;
                    (function (input, _path, _exceptionable) {
                        if (_exceptionable === void 0) { _exceptionable = true; }
                        return "string" === typeof input || $guard(true, {
                            path: _path + "",
                            expected: "string",
                            value: input
                        }, _errorFactory);
                    })(input, "$input", true);
                }
                return input;
            }; })()(org); });
            assert.param("configuration_id")(function () { return (function () { var $guard = typia_1.default.assert.guard; var __is = function (input) { return "string" === typeof input; }; var _errorFactory; return function (input, errorFactory) {
                if (false === __is(input)) {
                    _errorFactory = errorFactory;
                    (function (input, _path, _exceptionable) {
                        if (_exceptionable === void 0) { _exceptionable = true; }
                        return "string" === typeof input || $guard(true, {
                            path: _path + "",
                            expected: "string",
                            value: input
                        }, _errorFactory);
                    })(input, "$input", true);
                }
                return input;
            }; })()(configuration_id); });
            assert.query(function () { return (function () { var $guard = typia_1.default.assert.guard; var $io0 = function (input) { return (undefined === input.per_page || "number" === typeof input.per_page && (Math.floor(input.per_page) === input.per_page && -2147483648 <= input.per_page && input.per_page <= 2147483647)) && (undefined === input.status || "string" === typeof input.status); }; var $ao0 = function (input, _path, _exceptionable) {
                if (_exceptionable === void 0) { _exceptionable = true; }
                return (undefined === input.per_page || "number" === typeof input.per_page && (Math.floor(input.per_page) === input.per_page && -2147483648 <= input.per_page && input.per_page <= 2147483647 || $guard(_exceptionable, {
                    path: _path + ".per_page",
                    expected: "number & Type<\"int32\">",
                    value: input.per_page
                }, _errorFactory)) || $guard(_exceptionable, {
                    path: _path + ".per_page",
                    expected: "((number & Type<\"int32\"> & Default<30>) | undefined)",
                    value: input.per_page
                }, _errorFactory)) && (undefined === input.status || "string" === typeof input.status || $guard(_exceptionable, {
                    path: _path + ".status",
                    expected: "((string & Default<\"all\">) | undefined)",
                    value: input.status
                }, _errorFactory));
            }; var __is = function (input) { return "object" === typeof input && null !== input && false === Array.isArray(input) && $io0(input); }; var _errorFactory; return function (input, errorFactory) {
                if (false === __is(input)) {
                    _errorFactory = errorFactory;
                    (function (input, _path, _exceptionable) {
                        if (_exceptionable === void 0) { _exceptionable = true; }
                        return ("object" === typeof input && null !== input && false === Array.isArray(input) || $guard(true, {
                            path: _path + "",
                            expected: "IApiOrgsCodeSecurityConfigurationsRepositories.GetQuery",
                            value: input
                        }, _errorFactory)) && $ao0(input, _path + "", true) || $guard(true, {
                            path: _path + "",
                            expected: "IApiOrgsCodeSecurityConfigurationsRepositories.GetQuery",
                            value: input
                        }, _errorFactory);
                    })(input, "$input", true);
                }
                return input;
            }; })()(query); });
        }
        catch (exp) {
            if (!(function () { var $io0 = function (input) { return ("HEAD" === input.method || "GET" === input.method || "DELETE" === input.method || "POST" === input.method || "PUT" === input.method || "PATCH" === input.method) && "string" === typeof input.path && "number" === typeof input.status && ("object" === typeof input.headers && null !== input.headers && false === Array.isArray(input.headers) && $io1(input.headers)) && "string" === typeof input.name && "string" === typeof input.message && (undefined === input.stack || "string" === typeof input.stack); }; var $io1 = function (input) { return Object.keys(input).every(function (key) {
                var value = input[key];
                if (undefined === value)
                    return true;
                return null !== value && undefined !== value && ("string" === typeof value || Array.isArray(value) && value.every(function (elem) { return "string" === typeof elem; }));
            }); }; return function (input) { return "object" === typeof input && null !== input && $io0(input); }; })()(exp))
                throw exp;
            return {
                success: false,
                status: exp.status,
                headers: exp.headers,
                data: exp.toJSON().message,
            };
        }
        return getByOrgAndConfiguration_id.random("object" === typeof connection.simulate && null !== connection.simulate
            ? connection.simulate
            : undefined);
    };
})(getByOrgAndConfiguration_id || (exports.getByOrgAndConfiguration_id = getByOrgAndConfiguration_id = {}));
//# sourceMappingURL=index.js.map