import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiOrgsCodespacesSecretsPublicKey } from "../../../../../structures/IApiOrgsCodespacesSecretsPublicKey";
import { codespaces_minus_public_minus_key } from "../../../../../structures/codespaces_minus_public_minus_key";
/**
 * Get an organization public key.
 * Gets a public key for an organization, which is required in order to encrypt secrets. You need to encrypt the value of a secret before you can create or update secrets.
 * OAuth app tokens and personal access tokens (classic) need the `admin:org` scope to use this endpoint.
 *
 * @tag codespaces
 * @path orgs/:org/codespaces/secrets/public-key
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOrg(connection: IConnection<getByOrg.Headers>, org: string): Promise<getByOrg.Output>;
export declare namespace getByOrg {
    type Headers = IApiOrgsCodespacesSecretsPublicKey.GetHeader;
    type Output = codespaces_minus_public_minus_key;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/orgs/:org/codespaces/secrets/public-key";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (org: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => codespaces_minus_public_minus_key;
    const simulate: (connection: IConnection<getByOrg.Headers>, org: string) => Output;
}
