import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiOrgsCopilotBillingSeats } from "../../../../../structures/IApiOrgsCopilotBillingSeats";
import { response } from "../../../../../structures/response";
/**
 * List all Copilot seat assignments for an organization.
 * > [!NOTE]
 * > This endpoint is in beta and is subject to change.
 *
 * Lists all active Copilot seats for an organization with a Copilot Business or Copilot Enterprise subscription.
 * Only organization owners can view assigned seats.
 *
 * OAuth app tokens and personal access tokens (classic) need either the `manage_billing:copilot` or `read:org` scopes to use this endpoint.
 *
 * @tag copilot
 * @path orgs/:org/copilot/billing/seats
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOrg(connection: IConnection<getByOrg.Headers>, org: string, query: getByOrg.Query): Promise<getByOrg.Output>;
export declare namespace getByOrg {
    type Headers = IApiOrgsCopilotBillingSeats.GetHeader;
    type Query = IApiOrgsCopilotBillingSeats.GetQuery;
    type Output = response;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/orgs/:org/copilot/billing/seats";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (org: string, query: getByOrg.Query) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => response;
    const simulate: (connection: IConnection<getByOrg.Headers>, org: string, query: getByOrg.Query) => Output;
}
