import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiOrgsDependabotAlerts } from "../../../../structures/IApiOrgsDependabotAlerts";
import { dependabot_minus_alert_minus_with_minus_repository } from "../../../../structures/dependabot_minus_alert_minus_with_minus_repository";
/**
 * List Dependabot alerts for an organization.
 * Lists Dependabot alerts for an organization.
 *
 * The authenticated user must be an owner or security manager for the organization to use this endpoint.
 *
 * OAuth app tokens and personal access tokens (classic) need the `security_events` scope to use this endpoint. If this endpoint is only used with public repositories, the token can use the `public_repo` scope instead.
 *
 * @tag dependabot
 * @path orgs/:org/dependabot/alerts
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOrg(connection: IConnection<getByOrg.Headers>, org: string): Promise<getByOrg.Output>;
export declare namespace getByOrg {
    type Headers = IApiOrgsDependabotAlerts.GetHeader;
    type Output = dependabot_minus_alert_minus_with_minus_repository[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/orgs/:org/dependabot/alerts";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (org: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => dependabot_minus_alert_minus_with_minus_repository[];
    const simulate: (connection: IConnection<getByOrg.Headers>, org: string) => Output;
}
