import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiOrgsDockerConflicts } from "../../../../structures/IApiOrgsDockerConflicts";
import { packages } from "../../../../structures/package";
/**
 * Get list of conflicting packages during Docker migration for organization.
 * Lists all packages that are in a specific organization, are readable by the requesting user, and that encountered a conflict during a Docker migration.
 *
 * OAuth app tokens and personal access tokens (classic) need the `read:packages` scope to use this endpoint.
 *
 * @tag packages
 * @path orgs/:org/docker/conflicts
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOrg(connection: IConnection<getByOrg.Headers>, org: string): Promise<getByOrg.Output>;
export declare namespace getByOrg {
    type Headers = IApiOrgsDockerConflicts.GetHeader;
    type Output = packages[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/orgs/:org/docker/conflicts";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (org: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => packages[];
    const simulate: (connection: IConnection<getByOrg.Headers>, org: string) => Output;
}
