import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiOrgsHooksDeliveriesAttempts } from "../../../../../structures/IApiOrgsHooksDeliveriesAttempts";
/**
 * Redeliver a delivery for an organization webhook.
 * Redeliver a delivery for a webhook configured in an organization.
 *
 * You must be an organization owner to use this endpoint.
 *
 * OAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit
 * webhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.
 *
 * @tag orgs
 * @path orgs/:org/hooks/:hook_id/deliveries/:delivery_id/attempts
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function postByOrgAndHook_idAndDelivery_id(connection: IConnection<postByOrgAndHook_idAndDelivery_id.Headers>, org: string, hook_id: string, delivery_id: string): Promise<void>;
export declare namespace postByOrgAndHook_idAndDelivery_id {
    type Headers = IApiOrgsHooksDeliveriesAttempts.PostHeader;
    const METADATA: {
        readonly method: "POST";
        readonly path: "/orgs/:org/hooks/:hook_id/deliveries/:delivery_id/attempts";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (org: string, hook_id: string, delivery_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<postByOrgAndHook_idAndDelivery_id.Headers>, org: string, hook_id: string, delivery_id: string) => void;
}
