import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiOrgsInstallation } from "../../../structures/IApiOrgsInstallation";
import { installation } from "../../../structures/installation";
/**
 * Get an organization installation for the authenticated app.
 * Enables an authenticated GitHub App to find the organization's installation information.
 *
 * You must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint.
 *
 * @tag apps
 * @path orgs/:org/installation
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOrg(connection: IConnection<getByOrg.Headers>, org: string): Promise<getByOrg.Output>;
export declare namespace getByOrg {
    type Headers = IApiOrgsInstallation.GetHeader;
    type Output = installation;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/orgs/:org/installation";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (org: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => installation;
    const simulate: (connection: IConnection<getByOrg.Headers>, org: string) => Output;
}
