import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiOrgsMembersCodespacesStop } from "../../../../../structures/IApiOrgsMembersCodespacesStop";
import { codespace } from "../../../../../structures/codespace";
/**
 * Stop a codespace for an organization user.
 * Stops a user's codespace.
 *
 * OAuth app tokens and personal access tokens (classic) need the `admin:org` scope to use this endpoint.
 *
 * @tag codespaces
 * @path orgs/:org/members/:username/codespaces/:codespace_name/stop
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function postByOrgAndUsernameAndCodespace_name(connection: IConnection<postByOrgAndUsernameAndCodespace_name.Headers>, org: string, username: string, codespace_name: string): Promise<postByOrgAndUsernameAndCodespace_name.Output>;
export declare namespace postByOrgAndUsernameAndCodespace_name {
    type Headers = IApiOrgsMembersCodespacesStop.PostHeader;
    type Output = codespace;
    const METADATA: {
        readonly method: "POST";
        readonly path: "/orgs/:org/members/:username/codespaces/:codespace_name/stop";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (org: string, username: string, codespace_name: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => codespace;
    const simulate: (connection: IConnection<postByOrgAndUsernameAndCodespace_name.Headers>, org: string, username: string, codespace_name: string) => Output;
}
