import { IConnection } from "@nestia/fetcher";
import typia, { tags } from "typia";
import { IApiOrgsPersonalAccessTokenRequestsRepositories } from "../../../../structures/IApiOrgsPersonalAccessTokenRequestsRepositories";
import { minimal_minus_repository } from "../../../../structures/minimal_minus_repository";
/**
 * List repositories requested to be accessed by a fine-grained personal access token.
 * Lists the repositories a fine-grained personal access token request is requesting access to.
 *
 * Only GitHub Apps can use this endpoint.
 *
 * @param pat_request_id Unique identifier of the request for access via fine-grained personal access token.
 * @tag orgs
 * @path orgs/:org/personal-access-token-requests/:pat_request_id/repositories
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOrgAndPat_request_id(connection: IConnection<getByOrgAndPat_request_id.Headers>, org: string, pat_request_id: number & tags.Type<"int32">): Promise<getByOrgAndPat_request_id.Output>;
export declare namespace getByOrgAndPat_request_id {
    type Headers = IApiOrgsPersonalAccessTokenRequestsRepositories.GetHeader;
    type Output = minimal_minus_repository[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/orgs/:org/personal-access-token-requests/:pat_request_id/repositories";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (org: string, pat_request_id: number & tags.Type<"int32">) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => minimal_minus_repository[];
    const simulate: (connection: IConnection<getByOrgAndPat_request_id.Headers>, org: string, pat_request_id: number & tags.Type<"int32">) => Output;
}
