import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiOrgsSecretScanningAlerts } from "../../../../structures/IApiOrgsSecretScanningAlerts";
import { organization_minus_secret_minus_scanning_minus_alert } from "../../../../structures/organization_minus_secret_minus_scanning_minus_alert";
/**
 * List secret scanning alerts for an organization.
 * Lists secret scanning alerts for eligible repositories in an organization, from newest to oldest.
 *
 * The authenticated user must be an administrator or security manager for the organization to use this endpoint.
 *
 * OAuth app tokens and personal access tokens (classic) need the `repo` or `security_events` scope to use this endpoint. If this endpoint is only used with public repositories, the token can use the `public_repo` scope instead.
 *
 * @tag secret-scanning
 * @path orgs/:org/secret-scanning/alerts
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOrg(connection: IConnection<getByOrg.Headers>, org: string): Promise<getByOrg.Output>;
export declare namespace getByOrg {
    type Headers = IApiOrgsSecretScanningAlerts.GetHeader;
    type Output = organization_minus_secret_minus_scanning_minus_alert[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/orgs/:org/secret-scanning/alerts";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (org: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => organization_minus_secret_minus_scanning_minus_alert[];
    const simulate: (connection: IConnection<getByOrg.Headers>, org: string) => Output;
}
