import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiOrgsSecurityAdvisories } from "../../../structures/IApiOrgsSecurityAdvisories";
import { repository_minus_advisory } from "../../../structures/repository_minus_advisory";
/**
 * List repository security advisories for an organization.
 * Lists repository security advisories for an organization.
 *
 * The authenticated user must be an owner or security manager for the organization to use this endpoint.
 *
 * OAuth app tokens and personal access tokens (classic) need the `repo` or `repository_advisories:write` scope to use this endpoint.
 *
 * @tag security-advisories
 * @path orgs/:org/security-advisories
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOrg(connection: IConnection<getByOrg.Headers>, org: string, query: getByOrg.Query): Promise<getByOrg.Output>;
export declare namespace getByOrg {
    type Headers = IApiOrgsSecurityAdvisories.GetHeader;
    type Query = IApiOrgsSecurityAdvisories.GetQuery;
    type Output = repository_minus_advisory[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/orgs/:org/security-advisories";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (org: string, query: getByOrg.Query) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => repository_minus_advisory[];
    const simulate: (connection: IConnection<getByOrg.Headers>, org: string, query: getByOrg.Query) => Output;
}
