import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiOrgsSecurityManagers } from "../../../structures/IApiOrgsSecurityManagers";
import { team_minus_simple } from "../../../structures/team_minus_simple";
export * as teams from "./teams";
/**
 * List security manager teams.
 * Lists teams that are security managers for an organization. For more information, see "[Managing security managers in your organization](https://docs.github.com/organizations/managing-peoples-access-to-your-organization-with-roles/managing-security-managers-in-your-organization)."
 *
 * The authenticated user must be an administrator or security manager for the organization to use this endpoint.
 *
 * OAuth app tokens and personal access tokens (classic) need the `read:org` scope to use this endpoint.
 *
 * @tag orgs
 * @path orgs/:org/security-managers
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOrg(connection: IConnection<getByOrg.Headers>, org: string): Promise<getByOrg.Output>;
export declare namespace getByOrg {
    type Headers = IApiOrgsSecurityManagers.GetHeader;
    type Output = team_minus_simple[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/orgs/:org/security-managers";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (org: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => team_minus_simple[];
    const simulate: (connection: IConnection<getByOrg.Headers>, org: string) => Output;
}
