import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiOrgsTeamsMembers } from "../../../../structures/IApiOrgsTeamsMembers";
import { simple_minus_user } from "../../../../structures/simple_minus_user";
/**
 * List team members.
 * Team members will include the members of child teams.
 *
 * To list members in a team, the team must be visible to the authenticated user.
 *
 * @tag teams
 * @path orgs/:org/teams/:team_slug/members
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOrgAndTeam_slug(connection: IConnection<getByOrgAndTeam_slug.Headers>, org: string, team_slug: string, query: getByOrgAndTeam_slug.Query): Promise<getByOrgAndTeam_slug.Output>;
export declare namespace getByOrgAndTeam_slug {
    type Headers = IApiOrgsTeamsMembers.GetHeader;
    type Query = IApiOrgsTeamsMembers.GetQuery;
    type Output = simple_minus_user[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/orgs/:org/teams/:team_slug/members";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (org: string, team_slug: string, query: getByOrgAndTeam_slug.Query) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => simple_minus_user[];
    const simulate: (connection: IConnection<getByOrgAndTeam_slug.Headers>, org: string, team_slug: string, query: getByOrgAndTeam_slug.Query) => Output;
}
