import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiProjectsCollaboratorsPermission } from "../../../../structures/IApiProjectsCollaboratorsPermission";
import { project_minus_collaborator_minus_permission } from "../../../../structures/project_minus_collaborator_minus_permission";
/**
 * Get project permission for a user.
 * Returns the collaborator's permission level for an organization project. Possible values for the `permission` key: `admin`, `write`, `read`, `none`. You must be an organization owner or a project `admin` to review a user's permission level.
 *
 * @tag projects
 * @path projects/:project_id/collaborators/:username/permission
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByProject_idAndUsername(connection: IConnection<getByProject_idAndUsername.Headers>, project_id: string, username: string): Promise<getByProject_idAndUsername.Output>;
export declare namespace getByProject_idAndUsername {
    type Headers = IApiProjectsCollaboratorsPermission.GetHeader;
    type Output = project_minus_collaborator_minus_permission;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/projects/:project_id/collaborators/:username/permission";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (project_id: string, username: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => project_minus_collaborator_minus_permission;
    const simulate: (connection: IConnection<getByProject_idAndUsername.Headers>, project_id: string, username: string) => Output;
}
