import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiProjectsColumnsCards } from "../../../../structures/IApiProjectsColumnsCards";
import { body } from "../../../../structures/body";
import { project_minus_card } from "../../../../structures/project_minus_card";
export * as moves from "./moves";
/**
 * Get a project card.
 * Gets information about a project card.
 *
 * @tag projects
 * @path projects/columns/cards/:card_id
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByCard_id(connection: IConnection<getByCard_id.Headers>, card_id: string): Promise<getByCard_id.Output>;
export declare namespace getByCard_id {
    type Headers = IApiProjectsColumnsCards.GetHeader;
    type Output = project_minus_card;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/projects/columns/cards/:card_id";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (card_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => project_minus_card;
    const simulate: (connection: IConnection<getByCard_id.Headers>, card_id: string) => Output;
}
/**
 * @tag projects
 * @path projects/columns/cards/:card_id
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function patchByCard_id(connection: IConnection<patchByCard_id.Headers>, card_id: string, body: patchByCard_id.Input): Promise<patchByCard_id.Output>;
export declare namespace patchByCard_id {
    type Headers = IApiProjectsColumnsCards.PatchHeader;
    type Input = body;
    type Output = project_minus_card;
    const METADATA: {
        readonly method: "PATCH";
        readonly path: "/projects/columns/cards/:card_id";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (card_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => project_minus_card;
    const simulate: (connection: IConnection<patchByCard_id.Headers>, card_id: string, body: patchByCard_id.Input) => Output;
}
/**
 * Delete a project card.
 * Deletes a project card
 *
 * @tag projects
 * @path projects/columns/cards/:card_id
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function eraseByCard_id(connection: IConnection<eraseByCard_id.Headers>, card_id: string): Promise<void>;
export declare namespace eraseByCard_id {
    type Headers = IApiProjectsColumnsCards.DeleteHeader;
    const METADATA: {
        readonly method: "DELETE";
        readonly path: "/projects/columns/cards/:card_id";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (card_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<eraseByCard_id.Headers>, card_id: string) => void;
}
/**
 * List project cards.
 * Lists the project cards in a project.
 *
 * @tag projects
 * @path projects/columns/:column_id/cards
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByColumn_id(connection: IConnection<getByColumn_id.Headers>, column_id: string, query: getByColumn_id.Query): Promise<getByColumn_id.Output>;
export declare namespace getByColumn_id {
    type Headers = IApiProjectsColumnsCards.GetHeader;
    type Query = IApiProjectsColumnsCards.GetQuery;
    type Output = project_minus_card[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/projects/columns/:column_id/cards";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (column_id: string, query: getByColumn_id.Query) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => project_minus_card[];
    const simulate: (connection: IConnection<getByColumn_id.Headers>, column_id: string, query: getByColumn_id.Query) => Output;
}
/**
 * @tag projects
 * @path projects/columns/:column_id/cards
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function postByColumn_id(connection: IConnection<postByColumn_id.Headers>, column_id: string, body: postByColumn_id.Input): Promise<postByColumn_id.Output>;
export declare namespace postByColumn_id {
    type Headers = IApiProjectsColumnsCards.PostHeader;
    type Input = body;
    type Output = project_minus_card;
    const METADATA: {
        readonly method: "POST";
        readonly path: "/projects/columns/:column_id/cards";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (column_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => project_minus_card;
    const simulate: (connection: IConnection<postByColumn_id.Headers>, column_id: string, body: postByColumn_id.Input) => Output;
}
