import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposActionsCacheUsage } from "../../../../../structures/IApiReposActionsCacheUsage";
import { actions_minus_cache_minus_usage_minus_by_minus_repository } from "../../../../../structures/actions_minus_cache_minus_usage_minus_by_minus_repository";
/**
 * Get GitHub Actions cache usage for a repository.
 * Gets GitHub Actions cache usage for a repository.
 * The data fetched using this API is refreshed approximately every 5 minutes, so values returned from this endpoint may take at least 5 minutes to get updated.
 *
 * Anyone with read access to the repository can use this endpoint.
 *
 * If the repository is private, OAuth tokens and personal access tokens (classic) need the `repo` scope to use this endpoint.
 *
 * @tag actions
 * @path repos/:owner/:repo/actions/cache/usage
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepo(connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string): Promise<getByOwnerAndRepo.Output>;
export declare namespace getByOwnerAndRepo {
    type Headers = IApiReposActionsCacheUsage.GetHeader;
    type Output = actions_minus_cache_minus_usage_minus_by_minus_repository;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/actions/cache/usage";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => actions_minus_cache_minus_usage_minus_by_minus_repository;
    const simulate: (connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string) => Output;
}
