import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposActionsJobs } from "../../../../structures/IApiReposActionsJobs";
import { job } from "../../../../structures/job";
export * as logs from "./logs";
export * as rerun from "./rerun";
/**
 * Get a job for a workflow run.
 * Gets a specific job in a workflow run.
 *
 * Anyone with read access to the repository can use this endpoint.
 *
 * If the repository is private, OAuth tokens and personal access tokens (classic) need the `repo` scope to use this endpoint.
 *
 * @tag actions
 * @path repos/:owner/:repo/actions/jobs/:job_id
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepoAndJob_id(connection: IConnection<getByOwnerAndRepoAndJob_id.Headers>, owner: string, repo: string, job_id: string): Promise<getByOwnerAndRepoAndJob_id.Output>;
export declare namespace getByOwnerAndRepoAndJob_id {
    type Headers = IApiReposActionsJobs.GetHeader;
    type Output = job;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/actions/jobs/:job_id";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, job_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => job;
    const simulate: (connection: IConnection<getByOwnerAndRepoAndJob_id.Headers>, owner: string, repo: string, job_id: string) => Output;
}
