import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposActionsJobsRerun } from "../../../../../structures/IApiReposActionsJobsRerun";
import { body } from "../../../../../structures/body";
import { empty_minus_object } from "../../../../../structures/empty_minus_object";
/**
 * Re-run a job from a workflow run.
 * Re-run a job and its dependent jobs in a workflow run.
 *
 * OAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint.
 *
 * @tag actions
 * @path repos/:owner/:repo/actions/jobs/:job_id/rerun
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function postByOwnerAndRepoAndJob_id(connection: IConnection<postByOwnerAndRepoAndJob_id.Headers>, owner: string, repo: string, job_id: string, body: postByOwnerAndRepoAndJob_id.Input): Promise<postByOwnerAndRepoAndJob_id.Output>;
export declare namespace postByOwnerAndRepoAndJob_id {
    type Headers = IApiReposActionsJobsRerun.PostHeader;
    type Input = body;
    type Output = empty_minus_object;
    const METADATA: {
        readonly method: "POST";
        readonly path: "/repos/:owner/:repo/actions/jobs/:job_id/rerun";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, job_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => empty_minus_object;
    const simulate: (connection: IConnection<postByOwnerAndRepoAndJob_id.Headers>, owner: string, repo: string, job_id: string, body: postByOwnerAndRepoAndJob_id.Input) => Output;
}
