import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposActionsRunnersDownloads } from "../../../../../structures/IApiReposActionsRunnersDownloads";
import { runner_minus_application } from "../../../../../structures/runner_minus_application";
/**
 * List runner applications for a repository.
 * Lists binaries for the runner application that you can download and run.
 *
 * Authenticated users must have admin access to the repository to use this endpoint.
 *
 * OAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint.
 *
 * @tag actions
 * @path repos/:owner/:repo/actions/runners/downloads
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepo(connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string): Promise<getByOwnerAndRepo.Output>;
export declare namespace getByOwnerAndRepo {
    type Headers = IApiReposActionsRunnersDownloads.GetHeader;
    type Output = runner_minus_application[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/actions/runners/downloads";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => runner_minus_application[];
    const simulate: (connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string) => Output;
}
