import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposActionsRunnersGenerateJitconfig } from "../../../../../structures/IApiReposActionsRunnersGenerateJitconfig";
import { body } from "../../../../../structures/body";
import { response } from "../../../../../structures/response";
/**
 * Create configuration for a just-in-time runner for a repository.
 * Generates a configuration that can be passed to the runner application at startup.
 *
 * The authenticated user must have admin access to the repository.
 *
 * OAuth tokens and personal access tokens (classic) need the`repo` scope to use this endpoint.
 *
 * @tag actions
 * @path repos/:owner/:repo/actions/runners/generate-jitconfig
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function postByOwnerAndRepo(connection: IConnection<postByOwnerAndRepo.Headers>, owner: string, repo: string, body: postByOwnerAndRepo.Input): Promise<postByOwnerAndRepo.Output>;
export declare namespace postByOwnerAndRepo {
    type Headers = IApiReposActionsRunnersGenerateJitconfig.PostHeader;
    type Input = body;
    type Output = response;
    const METADATA: {
        readonly method: "POST";
        readonly path: "/repos/:owner/:repo/actions/runners/generate-jitconfig";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => response;
    const simulate: (connection: IConnection<postByOwnerAndRepo.Headers>, owner: string, repo: string, body: postByOwnerAndRepo.Input) => Output;
}
