import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposActionsRunsApprovals } from "../../../../../structures/IApiReposActionsRunsApprovals";
import { environment_minus_approvals } from "../../../../../structures/environment_minus_approvals";
/**
 * Get the review history for a workflow run.
 * Anyone with read access to the repository can use this endpoint.
 *
 * OAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint with a private repository.
 *
 * @tag actions
 * @path repos/:owner/:repo/actions/runs/:run_id/approvals
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepoAndRun_id(connection: IConnection<getByOwnerAndRepoAndRun_id.Headers>, owner: string, repo: string, run_id: string): Promise<getByOwnerAndRepoAndRun_id.Output>;
export declare namespace getByOwnerAndRepoAndRun_id {
    type Headers = IApiReposActionsRunsApprovals.GetHeader;
    type Output = environment_minus_approvals[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/actions/runs/:run_id/approvals";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, run_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => environment_minus_approvals[];
    const simulate: (connection: IConnection<getByOwnerAndRepoAndRun_id.Headers>, owner: string, repo: string, run_id: string) => Output;
}
