import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposActionsRunsAttempts } from "../../../../../structures/IApiReposActionsRunsAttempts";
import { workflow_minus_run } from "../../../../../structures/workflow_minus_run";
export * as jobs from "./jobs";
export * as logs from "./logs";
/**
 * Get a workflow run attempt.
 * Gets a specific workflow run attempt.
 *
 * Anyone with read access to the repository can use this endpoint.
 *
 * OAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint with a private repository.
 *
 * @tag actions
 * @path repos/:owner/:repo/actions/runs/:run_id/attempts/:attempt_number
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepoAndRun_idAndAttempt_number(connection: IConnection<getByOwnerAndRepoAndRun_idAndAttempt_number.Headers>, owner: string, repo: string, run_id: string, attempt_number: string): Promise<getByOwnerAndRepoAndRun_idAndAttempt_number.Output>;
export declare namespace getByOwnerAndRepoAndRun_idAndAttempt_number {
    type Headers = IApiReposActionsRunsAttempts.GetHeader;
    type Output = workflow_minus_run;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/actions/runs/:run_id/attempts/:attempt_number";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, run_id: string, attempt_number: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => workflow_minus_run;
    const simulate: (connection: IConnection<getByOwnerAndRepoAndRun_idAndAttempt_number.Headers>, owner: string, repo: string, run_id: string, attempt_number: string) => Output;
}
