import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposActionsRunsAttemptsJobs } from "../../../../../../structures/IApiReposActionsRunsAttemptsJobs";
import { response } from "../../../../../../structures/response";
/**
 * List jobs for a workflow run attempt.
 * Lists jobs for a specific workflow run attempt. You can use parameters to narrow the list of results. For more information
 * about using parameters, see [Parameters](https://docs.github.com/rest/guides/getting-started-with-the-rest-api#parameters).
 *
 * Anyone with read access to the repository can use this endpoint.
 *
 * OAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint  with a private repository.
 *
 * @tag actions
 * @path repos/:owner/:repo/actions/runs/:run_id/attempts/:attempt_number/jobs
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepoAndRun_idAndAttempt_number(connection: IConnection<getByOwnerAndRepoAndRun_idAndAttempt_number.Headers>, owner: string, repo: string, run_id: string, attempt_number: string): Promise<getByOwnerAndRepoAndRun_idAndAttempt_number.Output>;
export declare namespace getByOwnerAndRepoAndRun_idAndAttempt_number {
    type Headers = IApiReposActionsRunsAttemptsJobs.GetHeader;
    type Output = response;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/actions/runs/:run_id/attempts/:attempt_number/jobs";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, run_id: string, attempt_number: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => response;
    const simulate: (connection: IConnection<getByOwnerAndRepoAndRun_idAndAttempt_number.Headers>, owner: string, repo: string, run_id: string, attempt_number: string) => Output;
}
