import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposActionsRunsAttemptsLogs } from "../../../../../../structures/IApiReposActionsRunsAttemptsLogs";
/**
 * Download workflow run attempt logs.
 * Gets a redirect URL to download an archive of log files for a specific workflow run attempt. This link expires after
 * 1 minute. Look for `Location:` in the response header to find the URL for the download.
 *
 * Anyone with read access to the repository can use this endpoint.
 *
 * If the repository is private, OAuth tokens and personal access tokens (classic) need the `repo` scope to use this endpoint.
 *
 * @tag actions
 * @path repos/:owner/:repo/actions/runs/:run_id/attempts/:attempt_number/logs
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepoAndRun_idAndAttempt_number(connection: IConnection<getByOwnerAndRepoAndRun_idAndAttempt_number.Headers>, owner: string, repo: string, run_id: string, attempt_number: string): Promise<void>;
export declare namespace getByOwnerAndRepoAndRun_idAndAttempt_number {
    type Headers = IApiReposActionsRunsAttemptsLogs.GetHeader;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/actions/runs/:run_id/attempts/:attempt_number/logs";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, run_id: string, attempt_number: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<getByOwnerAndRepoAndRun_idAndAttempt_number.Headers>, owner: string, repo: string, run_id: string, attempt_number: string) => void;
}
