import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposActionsRunsJobs } from "../../../../../structures/IApiReposActionsRunsJobs";
import { response } from "../../../../../structures/response";
/**
 * List jobs for a workflow run.
 * Lists jobs for a workflow run. You can use parameters to narrow the list of results. For more information
 * about using parameters, see [Parameters](https://docs.github.com/rest/guides/getting-started-with-the-rest-api#parameters).
 *
 * Anyone with read access to the repository can use this endpoint.
 *
 * OAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint with a private repository.
 *
 * @tag actions
 * @path repos/:owner/:repo/actions/runs/:run_id/jobs
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepoAndRun_id(connection: IConnection<getByOwnerAndRepoAndRun_id.Headers>, owner: string, repo: string, run_id: string, query: getByOwnerAndRepoAndRun_id.Query): Promise<getByOwnerAndRepoAndRun_id.Output>;
export declare namespace getByOwnerAndRepoAndRun_id {
    type Headers = IApiReposActionsRunsJobs.GetHeader;
    type Query = IApiReposActionsRunsJobs.GetQuery;
    type Output = response;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/actions/runs/:run_id/jobs";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, run_id: string, query: getByOwnerAndRepoAndRun_id.Query) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => response;
    const simulate: (connection: IConnection<getByOwnerAndRepoAndRun_id.Headers>, owner: string, repo: string, run_id: string, query: getByOwnerAndRepoAndRun_id.Query) => Output;
}
