import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposActionsRunsRerunFailedJobs } from "../../../../../structures/IApiReposActionsRunsRerunFailedJobs";
import { body } from "../../../../../structures/body";
import { empty_minus_object } from "../../../../../structures/empty_minus_object";
/**
 * Re-run failed jobs from a workflow run.
 * Re-run all of the failed jobs and their dependent jobs in a workflow run using the `id` of the workflow run.
 *
 * OAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint.
 *
 * @tag actions
 * @path repos/:owner/:repo/actions/runs/:run_id/rerun-failed-jobs
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function postByOwnerAndRepoAndRun_id(connection: IConnection<postByOwnerAndRepoAndRun_id.Headers>, owner: string, repo: string, run_id: string, body: postByOwnerAndRepoAndRun_id.Input): Promise<postByOwnerAndRepoAndRun_id.Output>;
export declare namespace postByOwnerAndRepoAndRun_id {
    type Headers = IApiReposActionsRunsRerunFailedJobs.PostHeader;
    type Input = body;
    type Output = empty_minus_object;
    const METADATA: {
        readonly method: "POST";
        readonly path: "/repos/:owner/:repo/actions/runs/:run_id/rerun-failed-jobs";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, run_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => empty_minus_object;
    const simulate: (connection: IConnection<postByOwnerAndRepoAndRun_id.Headers>, owner: string, repo: string, run_id: string, body: postByOwnerAndRepoAndRun_id.Input) => Output;
}
