import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposActionsWorkflowsEnable } from "../../../../../structures/IApiReposActionsWorkflowsEnable";
/**
 * Enable a workflow.
 * Enables a workflow and sets the `state` of the workflow to `active`. You can replace `workflow_id` with the workflow file name. For example, you could use `main.yaml`.
 *
 * OAuth tokens and personal access tokens (classic) need the `repo` scope to use this endpoint.
 *
 * @tag actions
 * @path repos/:owner/:repo/actions/workflows/:workflow_id/enable
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function putByOwnerAndRepoAndWorkflow_id(connection: IConnection<putByOwnerAndRepoAndWorkflow_id.Headers>, owner: string, repo: string, workflow_id: string): Promise<void>;
export declare namespace putByOwnerAndRepoAndWorkflow_id {
    type Headers = IApiReposActionsWorkflowsEnable.PutHeader;
    const METADATA: {
        readonly method: "PUT";
        readonly path: "/repos/:owner/:repo/actions/workflows/:workflow_id/enable";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, workflow_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<putByOwnerAndRepoAndWorkflow_id.Headers>, owner: string, repo: string, workflow_id: string) => void;
}
