import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposActivity } from "../../../structures/IApiReposActivity";
import { activity } from "../../../structures/activity";
/**
 * List repository activities.
 * Lists a detailed history of changes to a repository, such as pushes, merges, force pushes, and branch changes, and associates these changes with commits and users.
 *
 * For more information about viewing repository activity,
 * see "[Viewing activity and data for your repository](https://docs.github.com/repositories/viewing-activity-and-data-for-your-repository)."
 *
 * @tag repos
 * @path repos/:owner/:repo/activity
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepo(connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string, query: getByOwnerAndRepo.Query): Promise<getByOwnerAndRepo.Output>;
export declare namespace getByOwnerAndRepo {
    type Headers = IApiReposActivity.GetHeader;
    type Query = IApiReposActivity.GetQuery;
    type Output = activity[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/activity";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, query: getByOwnerAndRepo.Query) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => activity[];
    const simulate: (connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string, query: getByOwnerAndRepo.Query) => Output;
}
