import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposAssignees } from "../../../structures/IApiReposAssignees";
import { simple_minus_user } from "../../../structures/simple_minus_user";
/**
 * List assignees.
 * Lists the [available assignees](https://docs.github.com/articles/assigning-issues-and-pull-requests-to-other-github-users/) for issues in a repository.
 *
 * @tag issues
 * @path repos/:owner/:repo/assignees
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepo(connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string): Promise<getByOwnerAndRepo.Output>;
export declare namespace getByOwnerAndRepo {
    type Headers = IApiReposAssignees.GetHeader;
    type Output = simple_minus_user[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/assignees";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => simple_minus_user[];
    const simulate: (connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string) => Output;
}
/**
 * Check if a user can be assigned.
 * Checks if a user has permission to be assigned to an issue in this repository.
 *
 * If the `assignee` can be assigned to issues in the repository, a `204` header with no content is returned.
 *
 * Otherwise a `404` status code is returned.
 *
 * @tag issues
 * @path repos/:owner/:repo/assignees/:assignee
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepoAndAssignee(connection: IConnection<getByOwnerAndRepoAndAssignee.Headers>, owner: string, repo: string, assignee: string): Promise<void>;
export declare namespace getByOwnerAndRepoAndAssignee {
    type Headers = IApiReposAssignees.GetHeader;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/assignees/:assignee";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, assignee: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<getByOwnerAndRepoAndAssignee.Headers>, owner: string, repo: string, assignee: string) => void;
}
