import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposBranches } from "../../../structures/IApiReposBranches";
import { branch_minus_with_minus_protection } from "../../../structures/branch_minus_with_minus_protection";
import { short_minus_branch } from "../../../structures/short_minus_branch";
export * as protection from "./protection";
export * as rename from "./rename";
/**
 * @tag repos
 * @path repos/:owner/:repo/branches
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepo(connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string, query: getByOwnerAndRepo.Query): Promise<getByOwnerAndRepo.Output>;
export declare namespace getByOwnerAndRepo {
    type Headers = IApiReposBranches.GetHeader;
    type Query = IApiReposBranches.GetQuery;
    type Output = short_minus_branch[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/branches";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, query: getByOwnerAndRepo.Query) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => short_minus_branch[];
    const simulate: (connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string, query: getByOwnerAndRepo.Query) => Output;
}
/**
 * @tag repos
 * @path repos/:owner/:repo/branches/:branch
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepoAndBranch(connection: IConnection<getByOwnerAndRepoAndBranch.Headers>, owner: string, repo: string, branch: string): Promise<getByOwnerAndRepoAndBranch.Output>;
export declare namespace getByOwnerAndRepoAndBranch {
    type Headers = IApiReposBranches.GetHeader;
    type Output = branch_minus_with_minus_protection;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/branches/:branch";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, branch: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => branch_minus_with_minus_protection;
    const simulate: (connection: IConnection<getByOwnerAndRepoAndBranch.Headers>, owner: string, repo: string, branch: string) => Output;
}
