import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposCheckRunsAnnotations } from "../../../../structures/IApiReposCheckRunsAnnotations";
import { check_minus_annotation } from "../../../../structures/check_minus_annotation";
/**
 * List check run annotations.
 * Lists annotations for a check run using the annotation `id`.
 *
 * OAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint on a private repository.
 *
 * @tag checks
 * @path repos/:owner/:repo/check-runs/:check_run_id/annotations
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepoAndCheck_run_id(connection: IConnection<getByOwnerAndRepoAndCheck_run_id.Headers>, owner: string, repo: string, check_run_id: string): Promise<getByOwnerAndRepoAndCheck_run_id.Output>;
export declare namespace getByOwnerAndRepoAndCheck_run_id {
    type Headers = IApiReposCheckRunsAnnotations.GetHeader;
    type Output = check_minus_annotation[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/check-runs/:check_run_id/annotations";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, check_run_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => check_minus_annotation[];
    const simulate: (connection: IConnection<getByOwnerAndRepoAndCheck_run_id.Headers>, owner: string, repo: string, check_run_id: string) => Output;
}
