import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposCheckRunsRerequest } from "../../../../structures/IApiReposCheckRunsRerequest";
import { empty_minus_object } from "../../../../structures/empty_minus_object";
/**
 * Rerequest a check run.
 * Triggers GitHub to rerequest an existing check run, without pushing new code to a repository. This endpoint will trigger the [`check_run` webhook](https://docs.github.com/webhooks/event-payloads/#check_run) event with the action `rerequested`. When a check run is `rerequested`, its `status` is reset to `queued` and the `conclusion` is cleared.
 *
 * For more information about how to re-run GitHub Actions jobs, see "[Re-run a job from a workflow run](https://docs.github.com/rest/actions/workflow-runs#re-run-a-job-from-a-workflow-run)".
 *
 * OAuth apps and personal access tokens (classic) cannot use this endpoint.
 *
 * @tag checks
 * @path repos/:owner/:repo/check-runs/:check_run_id/rerequest
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function postByOwnerAndRepoAndCheck_run_id(connection: IConnection<postByOwnerAndRepoAndCheck_run_id.Headers>, owner: string, repo: string, check_run_id: string): Promise<postByOwnerAndRepoAndCheck_run_id.Output>;
export declare namespace postByOwnerAndRepoAndCheck_run_id {
    type Headers = IApiReposCheckRunsRerequest.PostHeader;
    type Output = empty_minus_object;
    const METADATA: {
        readonly method: "POST";
        readonly path: "/repos/:owner/:repo/check-runs/:check_run_id/rerequest";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, check_run_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => empty_minus_object;
    const simulate: (connection: IConnection<postByOwnerAndRepoAndCheck_run_id.Headers>, owner: string, repo: string, check_run_id: string) => Output;
}
