import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposCodeScanningAlertsInstances } from "../../../../../structures/IApiReposCodeScanningAlertsInstances";
import { code_minus_scanning_minus_alert_minus_instance } from "../../../../../structures/code_minus_scanning_minus_alert_minus_instance";
/**
 * List instances of a code scanning alert.
 * Lists all instances of the specified code scanning alert.
 *
 * OAuth app tokens and personal access tokens (classic) need the `security_events` scope to use this endpoint with private or public repositories, or the `public_repo` scope to use this endpoint with only public repositories.
 *
 * @tag code-scanning
 * @path repos/:owner/:repo/code-scanning/alerts/:alert_number/instances
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepoAndAlert_number(connection: IConnection<getByOwnerAndRepoAndAlert_number.Headers>, owner: string, repo: string, alert_number: string): Promise<getByOwnerAndRepoAndAlert_number.Output>;
export declare namespace getByOwnerAndRepoAndAlert_number {
    type Headers = IApiReposCodeScanningAlertsInstances.GetHeader;
    type Output = code_minus_scanning_minus_alert_minus_instance[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/code-scanning/alerts/:alert_number/instances";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, alert_number: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => code_minus_scanning_minus_alert_minus_instance[];
    const simulate: (connection: IConnection<getByOwnerAndRepoAndAlert_number.Headers>, owner: string, repo: string, alert_number: string) => Output;
}
