import { IConnection } from "@nestia/fetcher";
import typia, { tags } from "typia";
import { IApiReposCodeScanningCodeqlVariantAnalysesRepos } from "../../../../../../structures/IApiReposCodeScanningCodeqlVariantAnalysesRepos";
import { code_minus_scanning_minus_variant_minus_analysis_minus_repo_minus_task } from "../../../../../../structures/code_minus_scanning_minus_variant_minus_analysis_minus_repo_minus_task";
/**
 * Get the analysis status of a repository in a CodeQL variant analysis.
 * Gets the analysis status of a repository in a CodeQL variant analysis.
 *
 * OAuth app tokens and personal access tokens (classic) need the `security_events` scope to use this endpoint with private or public repositories, or the `public_repo` scope to use this endpoint with only public repositories.
 *
 * @param repo The name of the controller repository.
 * @param codeql_variant_analysis_id The ID of the variant analysis.
 * @param repo_owner The account owner of the variant analysis repository. The name is not case sensitive.
 * @param repo_name The name of the variant analysis repository.
 * @tag code-scanning
 * @path repos/:owner/:repo/code-scanning/codeql/variant-analyses/:codeql_variant_analysis_id/repos/:repo_owner/:repo_name
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepoAndCodeql_variant_analysis_idAndRepo_ownerAndRepo_name(connection: IConnection<getByOwnerAndRepoAndCodeql_variant_analysis_idAndRepo_ownerAndRepo_name.Headers>, owner: string, repo: string, codeql_variant_analysis_id: number & tags.Type<"int32">, repo_owner: string, repo_name: string): Promise<getByOwnerAndRepoAndCodeql_variant_analysis_idAndRepo_ownerAndRepo_name.Output>;
export declare namespace getByOwnerAndRepoAndCodeql_variant_analysis_idAndRepo_ownerAndRepo_name {
    type Headers = IApiReposCodeScanningCodeqlVariantAnalysesRepos.GetHeader;
    type Output = code_minus_scanning_minus_variant_minus_analysis_minus_repo_minus_task;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/code-scanning/codeql/variant-analyses/:codeql_variant_analysis_id/repos/:repo_owner/:repo_name";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, codeql_variant_analysis_id: number & tags.Type<"int32">, repo_owner: string, repo_name: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => code_minus_scanning_minus_variant_minus_analysis_minus_repo_minus_task;
    const simulate: (connection: IConnection<getByOwnerAndRepoAndCodeql_variant_analysis_idAndRepo_ownerAndRepo_name.Headers>, owner: string, repo: string, codeql_variant_analysis_id: number & tags.Type<"int32">, repo_owner: string, repo_name: string) => Output;
}
