import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposCodeSecurityConfiguration } from "../../../structures/IApiReposCodeSecurityConfiguration";
import { code_minus_security_minus_configuration_minus_for_minus_repository } from "../../../structures/code_minus_security_minus_configuration_minus_for_minus_repository";
/**
 * Get the code security configuration associated with a repository.
 * Get the code security configuration that manages a repository's code security settings.
 *
 * The authenticated user must be an administrator or security manager for the organization to use this endpoint.
 *
 * OAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint.
 *
 * @tag code-security
 * @path repos/:owner/:repo/code-security-configuration
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepo(connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string): Promise<getByOwnerAndRepo.Output>;
export declare namespace getByOwnerAndRepo {
    type Headers = IApiReposCodeSecurityConfiguration.GetHeader;
    type Output = code_minus_security_minus_configuration_minus_for_minus_repository;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/code-security-configuration";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => code_minus_security_minus_configuration_minus_for_minus_repository;
    const simulate: (connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string) => Output;
}
