import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposCommitsPulls } from "../../../../structures/IApiReposCommitsPulls";
import { pull_minus_request_minus_simple } from "../../../../structures/pull_minus_request_minus_simple";
/**
 * List pull requests associated with a commit.
 * Lists the merged pull request that introduced the commit to the repository. If the commit is not present in the default branch, will only return open pull requests associated with the commit.
 *
 * To list the open or merged pull requests associated with a branch, you can set the `commit_sha` parameter to the branch name.
 *
 * @tag repos
 * @path repos/:owner/:repo/commits/:commit_sha/pulls
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepoAndCommit_sha(connection: IConnection<getByOwnerAndRepoAndCommit_sha.Headers>, owner: string, repo: string, commit_sha: string): Promise<getByOwnerAndRepoAndCommit_sha.Output>;
export declare namespace getByOwnerAndRepoAndCommit_sha {
    type Headers = IApiReposCommitsPulls.GetHeader;
    type Output = pull_minus_request_minus_simple[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/commits/:commit_sha/pulls";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, commit_sha: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => pull_minus_request_minus_simple[];
    const simulate: (connection: IConnection<getByOwnerAndRepoAndCommit_sha.Headers>, owner: string, repo: string, commit_sha: string) => Output;
}
