import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposCommitsStatus } from "../../../../structures/IApiReposCommitsStatus";
import { combined_minus_commit_minus_status } from "../../../../structures/combined_minus_commit_minus_status";
/**
 * Get the combined status for a specific reference.
 * Users with pull access in a repository can access a combined view of commit statuses for a given ref. The ref can be a SHA, a branch name, or a tag name.
 *
 *
 * Additionally, a combined `state` is returned. The `state` is one of:
 *
 * *   **failure** if any of the contexts report as `error` or `failure`
 * *   **pending** if there are no statuses or a context is `pending`
 * *   **success** if the latest status for all contexts is `success`
 *
 * @tag repos
 * @path repos/:owner/:repo/commits/:ref/status
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepoAndRef(connection: IConnection<getByOwnerAndRepoAndRef.Headers>, owner: string, repo: string, ref: string): Promise<getByOwnerAndRepoAndRef.Output>;
export declare namespace getByOwnerAndRepoAndRef {
    type Headers = IApiReposCommitsStatus.GetHeader;
    type Output = combined_minus_commit_minus_status;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/commits/:ref/status";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, ref: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => combined_minus_commit_minus_status;
    const simulate: (connection: IConnection<getByOwnerAndRepoAndRef.Headers>, owner: string, repo: string, ref: string) => Output;
}
