import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposCommitsStatuses } from "../../../../structures/IApiReposCommitsStatuses";
import { status } from "../../../../structures/status";
/**
 * List commit statuses for a reference.
 * Users with pull access in a repository can view commit statuses for a given ref. The ref can be a SHA, a branch name, or a tag name. Statuses are returned in reverse chronological order. The first status in the list will be the latest one.
 *
 * This resource is also available via a legacy route: `GET /repos/:owner/:repo/statuses/:ref`.
 *
 * @tag repos
 * @path repos/:owner/:repo/commits/:ref/statuses
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepoAndRef(connection: IConnection<getByOwnerAndRepoAndRef.Headers>, owner: string, repo: string, ref: string): Promise<getByOwnerAndRepoAndRef.Output>;
export declare namespace getByOwnerAndRepoAndRef {
    type Headers = IApiReposCommitsStatuses.GetHeader;
    type Output = status[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/commits/:ref/statuses";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, ref: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => status[];
    const simulate: (connection: IConnection<getByOwnerAndRepoAndRef.Headers>, owner: string, repo: string, ref: string) => Output;
}
