import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposDependencyGraphCompare } from "../../../../structures/IApiReposDependencyGraphCompare";
import { dependency_minus_graph_minus_diff } from "../../../../structures/dependency_minus_graph_minus_diff";
/**
 * Get a diff of the dependencies between commits.
 * Gets the diff of the dependency changes between two commits of a repository, based on the changes to the dependency manifests made in those commits.
 *
 * @param basehead The base and head Git revisions to compare. The Git revisions will be resolved to commit SHAs. Named revisions will be resolved to their corresponding HEAD commits, and an appropriate merge base will be determined. This parameter expects the format `{base}...{head}`.
 * @tag dependency-graph
 * @path repos/:owner/:repo/dependency-graph/compare/:basehead
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepoAndBasehead(connection: IConnection<getByOwnerAndRepoAndBasehead.Headers>, owner: string, repo: string, basehead: string): Promise<getByOwnerAndRepoAndBasehead.Output>;
export declare namespace getByOwnerAndRepoAndBasehead {
    type Headers = IApiReposDependencyGraphCompare.GetHeader;
    type Output = dependency_minus_graph_minus_diff;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/dependency-graph/compare/:basehead";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, basehead: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => dependency_minus_graph_minus_diff;
    const simulate: (connection: IConnection<getByOwnerAndRepoAndBasehead.Headers>, owner: string, repo: string, basehead: string) => Output;
}
