import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposDependencyGraphSbom } from "../../../../structures/IApiReposDependencyGraphSbom";
import { dependency_minus_graph_minus_spdx_minus_sbom } from "../../../../structures/dependency_minus_graph_minus_spdx_minus_sbom";
/**
 * Export a software bill of materials (SBOM) for a repository.
 * Exports the software bill of materials (SBOM) for a repository in SPDX JSON format.
 *
 * @tag dependency-graph
 * @path repos/:owner/:repo/dependency-graph/sbom
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepo(connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string): Promise<getByOwnerAndRepo.Output>;
export declare namespace getByOwnerAndRepo {
    type Headers = IApiReposDependencyGraphSbom.GetHeader;
    type Output = dependency_minus_graph_minus_spdx_minus_sbom;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/dependency-graph/sbom";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => dependency_minus_graph_minus_spdx_minus_sbom;
    const simulate: (connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string) => Output;
}
