import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposEvents } from "../../../structures/IApiReposEvents";
import { event } from "../../../structures/event";
/**
 * List repository events.
 * > [!NOTE]
 * > This API is not built to serve real-time use cases. Depending on the time of day, event latency can be anywhere from 30s to 6h.
 *
 * @tag activity
 * @path repos/:owner/:repo/events
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepo(connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string): Promise<getByOwnerAndRepo.Output>;
export declare namespace getByOwnerAndRepo {
    type Headers = IApiReposEvents.GetHeader;
    type Output = event[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/events";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => event[];
    const simulate: (connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string) => Output;
}
