import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposIssuesTimeline } from "../../../../structures/IApiReposIssuesTimeline";
import { timeline_minus_issue_minus_events } from "../../../../structures/timeline_minus_issue_minus_events";
/**
 * List timeline events for an issue.
 * List all timeline events for an issue.
 *
 * @tag issues
 * @path repos/:owner/:repo/issues/:issue_number/timeline
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepoAndIssue_number(connection: IConnection<getByOwnerAndRepoAndIssue_number.Headers>, owner: string, repo: string, issue_number: string): Promise<getByOwnerAndRepoAndIssue_number.Output>;
export declare namespace getByOwnerAndRepoAndIssue_number {
    type Headers = IApiReposIssuesTimeline.GetHeader;
    type Output = timeline_minus_issue_minus_events[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/issues/:issue_number/timeline";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, issue_number: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => timeline_minus_issue_minus_events[];
    const simulate: (connection: IConnection<getByOwnerAndRepoAndIssue_number.Headers>, owner: string, repo: string, issue_number: string) => Output;
}
