import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposPagesBuildsLatest } from "../../../../../structures/IApiReposPagesBuildsLatest";
import { page_minus_build } from "../../../../../structures/page_minus_build";
/**
 * Get latest Pages build.
 * Gets information about the single most recent build of a GitHub Pages site.
 *
 * OAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint.
 *
 * @tag repos
 * @path repos/:owner/:repo/pages/builds/latest
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepo(connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string): Promise<getByOwnerAndRepo.Output>;
export declare namespace getByOwnerAndRepo {
    type Headers = IApiReposPagesBuildsLatest.GetHeader;
    type Output = page_minus_build;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/pages/builds/latest";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => page_minus_build;
    const simulate: (connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string) => Output;
}
