import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposPagesDeploymentsCancel } from "../../../../../structures/IApiReposPagesDeploymentsCancel";
/**
 * Cancel a GitHub Pages deployment.
 * Cancels a GitHub Pages deployment.
 *
 * The authenticated user must have write permissions for the GitHub Pages site.
 *
 * @tag repos
 * @path repos/:owner/:repo/pages/deployments/:pages_deployment_id/cancel
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function postByOwnerAndRepoAndPages_deployment_id(connection: IConnection<postByOwnerAndRepoAndPages_deployment_id.Headers>, owner: string, repo: string, pages_deployment_id: string): Promise<void>;
export declare namespace postByOwnerAndRepoAndPages_deployment_id {
    type Headers = IApiReposPagesDeploymentsCancel.PostHeader;
    const METADATA: {
        readonly method: "POST";
        readonly path: "/repos/:owner/:repo/pages/deployments/:pages_deployment_id/cancel";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, pages_deployment_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<postByOwnerAndRepoAndPages_deployment_id.Headers>, owner: string, repo: string, pages_deployment_id: string) => void;
}
