import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposPagesDeployments } from "../../../../structures/IApiReposPagesDeployments";
import { body } from "../../../../structures/body";
import { page_minus_deployment } from "../../../../structures/page_minus_deployment";
import { pages_minus_deployment_minus_status } from "../../../../structures/pages_minus_deployment_minus_status";
export * as cancel from "./cancel";
/**
 * Create a GitHub Pages deployment for a repository.
 *
 * The authenticated user must have write permission to the repository.
 *
 * @tag repos
 * @path repos/:owner/:repo/pages/deployments
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function postByOwnerAndRepo(connection: IConnection<postByOwnerAndRepo.Headers>, owner: string, repo: string, body: postByOwnerAndRepo.Input): Promise<postByOwnerAndRepo.Output>;
export declare namespace postByOwnerAndRepo {
    type Headers = IApiReposPagesDeployments.PostHeader;
    type Input = body;
    type Output = page_minus_deployment;
    const METADATA: {
        readonly method: "POST";
        readonly path: "/repos/:owner/:repo/pages/deployments";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => page_minus_deployment;
    const simulate: (connection: IConnection<postByOwnerAndRepo.Headers>, owner: string, repo: string, body: postByOwnerAndRepo.Input) => Output;
}
/**
 * Get the status of a GitHub Pages deployment.
 * Gets the current status of a GitHub Pages deployment.
 *
 * The authenticated user must have read permission for the GitHub Pages site.
 *
 * @tag repos
 * @path repos/:owner/:repo/pages/deployments/:pages_deployment_id
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepoAndPages_deployment_id(connection: IConnection<getByOwnerAndRepoAndPages_deployment_id.Headers>, owner: string, repo: string, pages_deployment_id: string): Promise<getByOwnerAndRepoAndPages_deployment_id.Output>;
export declare namespace getByOwnerAndRepoAndPages_deployment_id {
    type Headers = IApiReposPagesDeployments.GetHeader;
    type Output = pages_minus_deployment_minus_status;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/pages/deployments/:pages_deployment_id";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, pages_deployment_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => pages_minus_deployment_minus_status;
    const simulate: (connection: IConnection<getByOwnerAndRepoAndPages_deployment_id.Headers>, owner: string, repo: string, pages_deployment_id: string) => Output;
}
