import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposPullsReviewsEvents } from "../../../../../structures/IApiReposPullsReviewsEvents";
import { body } from "../../../../../structures/body";
import { pull_minus_request_minus_review } from "../../../../../structures/pull_minus_request_minus_review";
/**
 * Submit a review for a pull request.
 * Submits a pending review for a pull request. For more information about creating a pending review for a pull request, see "[Create a review for a pull request](https://docs.github.com/rest/pulls/reviews#create-a-review-for-a-pull-request)."
 *
 * This endpoint supports the following custom media types. For more information, see "[Media types](https://docs.github.com/rest/using-the-rest-api/getting-started-with-the-rest-api#media-types)."
 *
 * - **`application/vnd.github-commitcomment.raw+json`**: Returns the raw markdown body. Response will include `body`. This is the default if you do not pass any specific media type.
 * - **`application/vnd.github-commitcomment.text+json`**: Returns a text only representation of the markdown body. Response will include `body_text`.
 * - **`application/vnd.github-commitcomment.html+json`**: Returns HTML rendered from the body's markdown. Response will include `body_html`.
 * - **`application/vnd.github-commitcomment.full+json`**: Returns raw, text, and HTML representations. Response will include `body`, `body_text`, and `body_html`.
 *
 * @tag pulls
 * @path repos/:owner/:repo/pulls/:pull_number/reviews/:review_id/events
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function postByOwnerAndRepoAndPull_numberAndReview_id(connection: IConnection<postByOwnerAndRepoAndPull_numberAndReview_id.Headers>, owner: string, repo: string, pull_number: string, review_id: string, body: postByOwnerAndRepoAndPull_numberAndReview_id.Input): Promise<postByOwnerAndRepoAndPull_numberAndReview_id.Output>;
export declare namespace postByOwnerAndRepoAndPull_numberAndReview_id {
    type Headers = IApiReposPullsReviewsEvents.PostHeader;
    type Input = body;
    type Output = pull_minus_request_minus_review;
    const METADATA: {
        readonly method: "POST";
        readonly path: "/repos/:owner/:repo/pulls/:pull_number/reviews/:review_id/events";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, pull_number: string, review_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => pull_minus_request_minus_review;
    const simulate: (connection: IConnection<postByOwnerAndRepoAndPull_numberAndReview_id.Headers>, owner: string, repo: string, pull_number: string, review_id: string, body: postByOwnerAndRepoAndPull_numberAndReview_id.Input) => Output;
}
