import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposPullsUpdateBranch } from "../../../../structures/IApiReposPullsUpdateBranch";
import { body } from "../../../../structures/body";
/**
 * Update a pull request branch.
 * Updates the pull request branch with the latest upstream changes by merging HEAD from the base branch into the pull request branch.
 *
 * @tag pulls
 * @path repos/:owner/:repo/pulls/:pull_number/update-branch
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function putByOwnerAndRepoAndPull_number(connection: IConnection<putByOwnerAndRepoAndPull_number.Headers>, owner: string, repo: string, pull_number: string, body: putByOwnerAndRepoAndPull_number.Input): Promise<void>;
export declare namespace putByOwnerAndRepoAndPull_number {
    type Headers = IApiReposPullsUpdateBranch.PutHeader;
    type Input = body;
    const METADATA: {
        readonly method: "PUT";
        readonly path: "/repos/:owner/:repo/pulls/:pull_number/update-branch";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, pull_number: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<putByOwnerAndRepoAndPull_number.Headers>, owner: string, repo: string, pull_number: string, body: putByOwnerAndRepoAndPull_number.Input) => void;
}
