import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposReleasesGenerateNotes } from "../../../../structures/IApiReposReleasesGenerateNotes";
import { body } from "../../../../structures/body";
import { release_minus_notes_minus_content } from "../../../../structures/release_minus_notes_minus_content";
/**
 * Generate release notes content for a release.
 * Generate a name and body describing a [release](https://docs.github.com/rest/releases/releases#get-a-release). The body content will be markdown formatted and contain information like the changes since last release and users who contributed. The generated release notes are not saved anywhere. They are intended to be generated and used when creating a new release.
 *
 * @tag repos
 * @path repos/:owner/:repo/releases/generate-notes
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function postByOwnerAndRepo(connection: IConnection<postByOwnerAndRepo.Headers>, owner: string, repo: string, body: postByOwnerAndRepo.Input): Promise<postByOwnerAndRepo.Output>;
export declare namespace postByOwnerAndRepo {
    type Headers = IApiReposReleasesGenerateNotes.PostHeader;
    type Input = body;
    type Output = release_minus_notes_minus_content;
    const METADATA: {
        readonly method: "POST";
        readonly path: "/repos/:owner/:repo/releases/generate-notes";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => release_minus_notes_minus_content;
    const simulate: (connection: IConnection<postByOwnerAndRepo.Headers>, owner: string, repo: string, body: postByOwnerAndRepo.Input) => Output;
}
