import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposReleasesTags } from "../../../../structures/IApiReposReleasesTags";
import { release } from "../../../../structures/release";
/**
 * Get a release by tag name.
 * Get a published release with the specified tag.
 *
 * @param tag tag parameter
 * @tag repos
 * @path repos/:owner/:repo/releases/tags/:tag
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepoAndTag(connection: IConnection<getByOwnerAndRepoAndTag.Headers>, owner: string, repo: string, tag: string): Promise<getByOwnerAndRepoAndTag.Output>;
export declare namespace getByOwnerAndRepoAndTag {
    type Headers = IApiReposReleasesTags.GetHeader;
    type Output = release;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/releases/tags/:tag";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, tag: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => release;
    const simulate: (connection: IConnection<getByOwnerAndRepoAndTag.Headers>, owner: string, repo: string, tag: string) => Output;
}
