import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposSecurityAdvisoriesReports } from "../../../../structures/IApiReposSecurityAdvisoriesReports";
import { private_minus_vulnerability_minus_report_minus_create } from "../../../../structures/private_minus_vulnerability_minus_report_minus_create";
import { repository_minus_advisory } from "../../../../structures/repository_minus_advisory";
/**
 * Privately report a security vulnerability.
 * Report a security vulnerability to the maintainers of the repository.
 * See "[Privately reporting a security vulnerability](https://docs.github.com/code-security/security-advisories/guidance-on-reporting-and-writing/privately-reporting-a-security-vulnerability)" for more information about private vulnerability reporting.
 *
 * @tag security-advisories
 * @path repos/:owner/:repo/security-advisories/reports
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function postByOwnerAndRepo(connection: IConnection<postByOwnerAndRepo.Headers>, owner: string, repo: string, body: postByOwnerAndRepo.Input): Promise<postByOwnerAndRepo.Output>;
export declare namespace postByOwnerAndRepo {
    type Headers = IApiReposSecurityAdvisoriesReports.PostHeader;
    type Input = private_minus_vulnerability_minus_report_minus_create;
    type Output = repository_minus_advisory;
    const METADATA: {
        readonly method: "POST";
        readonly path: "/repos/:owner/:repo/security-advisories/reports";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => repository_minus_advisory;
    const simulate: (connection: IConnection<postByOwnerAndRepo.Headers>, owner: string, repo: string, body: postByOwnerAndRepo.Input) => Output;
}
