import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposStargazers } from "../../../structures/IApiReposStargazers";
import { simple_minus_user } from "../../../structures/simple_minus_user";
import { stargazer } from "../../../structures/stargazer";
/**
 * List stargazers.
 * Lists the people that have starred the repository.
 *
 * This endpoint supports the following custom media types. For more information, see "[Media types](https://docs.github.com/rest/using-the-rest-api/getting-started-with-the-rest-api#media-types)."
 *
 * - **`application/vnd.github.star+json`**: Includes a timestamp of when the star was created.
 *
 * @tag activity
 * @path repos/:owner/:repo/stargazers
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepo(connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string): Promise<getByOwnerAndRepo.Output>;
export declare namespace getByOwnerAndRepo {
    type Headers = IApiReposStargazers.GetHeader;
    type Output = simple_minus_user[] | stargazer[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/stargazers";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => simple_minus_user[] | stargazer[];
    const simulate: (connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string) => Output;
}
