import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposStatsCommitActivity } from "../../../../structures/IApiReposStatsCommitActivity";
import { commit_minus_activity } from "../../../../structures/commit_minus_activity";
/**
 * Get the last year of commit activity.
 * Returns the last year of commit activity grouped by week. The `days` array is a group of commits per day, starting on `Sunday`.
 *
 * @tag repos
 * @path repos/:owner/:repo/stats/commit_activity
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepo(connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string): Promise<getByOwnerAndRepo.Output>;
export declare namespace getByOwnerAndRepo {
    type Headers = IApiReposStatsCommitActivity.GetHeader;
    type Output = commit_minus_activity[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/stats/commit_activity";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => commit_minus_activity[];
    const simulate: (connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string) => Output;
}
