import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposTagsProtection } from "../../../../structures/IApiReposTagsProtection";
import { body } from "../../../../structures/body";
import { tag_minus_protection } from "../../../../structures/tag_minus_protection";
/**
 * Deprecated - List tag protection states for a repository.
 * > [!WARNING]
 * > **Deprecation notice:** This operation is deprecated and will be removed after August 30, 2024. Use the "[Repository Rulesets](https://docs.github.com/rest/repos/rules#get-all-repository-rulesets)" endpoint instead.
 *
 * This returns the tag protection states of a repository.
 *
 * This information is only available to repository administrators.
 *
 * @tag repos
 * @deprecated
 * @path repos/:owner/:repo/tags/protection
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepo(connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string): Promise<getByOwnerAndRepo.Output>;
export declare namespace getByOwnerAndRepo {
    type Headers = IApiReposTagsProtection.GetHeader;
    type Output = tag_minus_protection[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/tags/protection";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => tag_minus_protection[];
    const simulate: (connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string) => Output;
}
/**
 * Deprecated - Create a tag protection state for a repository.
 * > [!WARNING]
 * > **Deprecation notice:** This operation is deprecated and will be removed after August 30, 2024. Use the "[Repository Rulesets](https://docs.github.com/rest/repos/rules#create-a-repository-ruleset)" endpoint instead.
 *
 * This creates a tag protection state for a repository.
 * This endpoint is only available to repository administrators.
 *
 * @tag repos
 * @deprecated
 * @path repos/:owner/:repo/tags/protection
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function postByOwnerAndRepo(connection: IConnection<postByOwnerAndRepo.Headers>, owner: string, repo: string, body: postByOwnerAndRepo.Input): Promise<postByOwnerAndRepo.Output>;
export declare namespace postByOwnerAndRepo {
    type Headers = IApiReposTagsProtection.PostHeader;
    type Input = body;
    type Output = tag_minus_protection;
    const METADATA: {
        readonly method: "POST";
        readonly path: "/repos/:owner/:repo/tags/protection";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => tag_minus_protection;
    const simulate: (connection: IConnection<postByOwnerAndRepo.Headers>, owner: string, repo: string, body: postByOwnerAndRepo.Input) => Output;
}
/**
 * Deprecated - Delete a tag protection state for a repository.
 * > [!WARNING]
 * > **Deprecation notice:** This operation is deprecated and will be removed after August 30, 2024. Use the "[Repository Rulesets](https://docs.github.com/rest/repos/rules#delete-a-repository-ruleset)" endpoint instead.
 *
 * This deletes a tag protection state for a repository.
 * This endpoint is only available to repository administrators.
 *
 * @tag repos
 * @deprecated
 * @path repos/:owner/:repo/tags/protection/:tag_protection_id
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function eraseByOwnerAndRepoAndTag_protection_id(connection: IConnection<eraseByOwnerAndRepoAndTag_protection_id.Headers>, owner: string, repo: string, tag_protection_id: string): Promise<void>;
export declare namespace eraseByOwnerAndRepoAndTag_protection_id {
    type Headers = IApiReposTagsProtection.DeleteHeader;
    const METADATA: {
        readonly method: "DELETE";
        readonly path: "/repos/:owner/:repo/tags/protection/:tag_protection_id";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, tag_protection_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<eraseByOwnerAndRepoAndTag_protection_id.Headers>, owner: string, repo: string, tag_protection_id: string) => void;
}
