import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposTeams } from "../../../structures/IApiReposTeams";
import { team } from "../../../structures/team";
/**
 * List repository teams.
 * Lists the teams that have access to the specified repository and that are also visible to the authenticated user.
 *
 * For a public repository, a team is listed only if that team added the public repository explicitly.
 *
 * OAuth app tokens and personal access tokens (classic) need the `public_repo` or `repo` scope to use this endpoint with a public repository, and `repo` scope to use this endpoint with a private repository.
 *
 * @tag repos
 * @path repos/:owner/:repo/teams
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepo(connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string): Promise<getByOwnerAndRepo.Output>;
export declare namespace getByOwnerAndRepo {
    type Headers = IApiReposTeams.GetHeader;
    type Output = team[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/teams";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => team[];
    const simulate: (connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string) => Output;
}
