import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposTrafficPopularPaths } from "../../../../../structures/IApiReposTrafficPopularPaths";
import { content_minus_traffic } from "../../../../../structures/content_minus_traffic";
/**
 * Get top referral paths.
 * Get the top 10 popular contents over the last 14 days.
 *
 * @tag repos
 * @path repos/:owner/:repo/traffic/popular/paths
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepo(connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string): Promise<getByOwnerAndRepo.Output>;
export declare namespace getByOwnerAndRepo {
    type Headers = IApiReposTrafficPopularPaths.GetHeader;
    type Output = content_minus_traffic[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/traffic/popular/paths";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => content_minus_traffic[];
    const simulate: (connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string) => Output;
}
