import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposTrafficPopularReferrers } from "../../../../../structures/IApiReposTrafficPopularReferrers";
import { referrer_minus_traffic } from "../../../../../structures/referrer_minus_traffic";
/**
 * Get top referral sources.
 * Get the top 10 referrers over the last 14 days.
 *
 * @tag repos
 * @path repos/:owner/:repo/traffic/popular/referrers
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepo(connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string): Promise<getByOwnerAndRepo.Output>;
export declare namespace getByOwnerAndRepo {
    type Headers = IApiReposTrafficPopularReferrers.GetHeader;
    type Output = referrer_minus_traffic[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/traffic/popular/referrers";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => referrer_minus_traffic[];
    const simulate: (connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string) => Output;
}
