import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposTransfer } from "../../../structures/IApiReposTransfer";
import { body } from "../../../structures/body";
/**
 * Transfer a repository.
 * A transfer request will need to be accepted by the new owner when transferring a personal repository to another user. The response will contain the original `owner`, and the transfer will continue asynchronously. For more details on the requirements to transfer personal and organization-owned repositories, see [about repository transfers](https://docs.github.com/articles/about-repository-transfers/).
 *
 * @tag repos
 * @path repos/:owner/:repo/transfer
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function postByOwnerAndRepo(connection: IConnection<postByOwnerAndRepo.Headers>, owner: string, repo: string, body: postByOwnerAndRepo.Input): Promise<void>;
export declare namespace postByOwnerAndRepo {
    type Headers = IApiReposTransfer.PostHeader;
    type Input = body;
    const METADATA: {
        readonly method: "POST";
        readonly path: "/repos/:owner/:repo/transfer";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<postByOwnerAndRepo.Headers>, owner: string, repo: string, body: postByOwnerAndRepo.Input) => void;
}
