import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiTeams } from "../../structures/IApiTeams";
import { body } from "../../structures/body";
import { team_minus_full } from "../../structures/team_minus_full";
export * as discussions from "./discussions";
export * as invitations from "./invitations";
export * as members from "./members";
export * as memberships from "./memberships";
export * as projects from "./projects";
export * as repos from "./repos";
export * as teams from "./teams";
/**
 * Get a team (Legacy).
 * > [!WARNING]
 * > **Deprecation notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the [Get a team by name](https://docs.github.com/rest/teams/teams#get-a-team-by-name) endpoint.
 *
 * @tag teams
 * @deprecated
 * @path teams/:team_id
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByTeam_id(connection: IConnection<getByTeam_id.Headers>, team_id: string): Promise<getByTeam_id.Output>;
export declare namespace getByTeam_id {
    type Headers = IApiTeams.GetHeader;
    type Output = team_minus_full;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/teams/:team_id";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (team_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => team_minus_full;
    const simulate: (connection: IConnection<getByTeam_id.Headers>, team_id: string) => Output;
}
/**
 * Update a team (Legacy).
 * > [!WARNING]
 * > **Deprecation notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [Update a team](https://docs.github.com/rest/teams/teams#update-a-team) endpoint.
 *
 * To edit a team, the authenticated user must either be an organization owner or a team maintainer.
 *
 * > [!NOTE]
 * > With nested teams, the `privacy` for parent teams cannot be `secret`.
 *
 * @tag teams
 * @deprecated
 * @path teams/:team_id
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function patchByTeam_id(connection: IConnection<patchByTeam_id.Headers>, team_id: string, body: patchByTeam_id.Input): Promise<patchByTeam_id.Output>;
export declare namespace patchByTeam_id {
    type Headers = IApiTeams.PatchHeader;
    type Input = body;
    type Output = team_minus_full;
    const METADATA: {
        readonly method: "PATCH";
        readonly path: "/teams/:team_id";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (team_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => team_minus_full;
    const simulate: (connection: IConnection<patchByTeam_id.Headers>, team_id: string, body: patchByTeam_id.Input) => Output;
}
/**
 * Delete a team (Legacy).
 * > [!WARNING]
 * > **Deprecation notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [Delete a team](https://docs.github.com/rest/teams/teams#delete-a-team) endpoint.
 *
 * To delete a team, the authenticated user must be an organization owner or team maintainer.
 *
 * If you are an organization owner, deleting a parent team will delete all of its child teams as well.
 *
 * @tag teams
 * @deprecated
 * @path teams/:team_id
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function eraseByTeam_id(connection: IConnection<eraseByTeam_id.Headers>, team_id: string): Promise<void>;
export declare namespace eraseByTeam_id {
    type Headers = IApiTeams.DeleteHeader;
    const METADATA: {
        readonly method: "DELETE";
        readonly path: "/teams/:team_id";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (team_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<eraseByTeam_id.Headers>, team_id: string) => void;
}
