import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiTeamsInvitations } from "../../../structures/IApiTeamsInvitations";
import { organization_minus_invitation } from "../../../structures/organization_minus_invitation";
/**
 * List pending team invitations (Legacy).
 * > [!WARNING]
 * > **Deprecation notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [`List pending team invitations`](https://docs.github.com/rest/teams/members#list-pending-team-invitations) endpoint.
 *
 * The return hash contains a `role` field which refers to the Organization Invitation role and will be one of the following values: `direct_member`, `admin`, `billing_manager`, `hiring_manager`, or `reinstate`. If the invitee is not a GitHub member, the `login` field in the return hash will be `null`.
 *
 * @tag teams
 * @deprecated
 * @path teams/:team_id/invitations
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByTeam_id(connection: IConnection<getByTeam_id.Headers>, team_id: string): Promise<getByTeam_id.Output>;
export declare namespace getByTeam_id {
    type Headers = IApiTeamsInvitations.GetHeader;
    type Output = organization_minus_invitation[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/teams/:team_id/invitations";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (team_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => organization_minus_invitation[];
    const simulate: (connection: IConnection<getByTeam_id.Headers>, team_id: string) => Output;
}
