import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiUserCodespacesPublish } from "../../../../structures/IApiUserCodespacesPublish";
import { body } from "../../../../structures/body";
import { codespace_minus_with_minus_full_minus_repository } from "../../../../structures/codespace_minus_with_minus_full_minus_repository";
/**
 * Create a repository from an unpublished codespace.
 * Publishes an unpublished codespace, creating a new repository and assigning it to the codespace.
 *
 * The codespace's token is granted write permissions to the repository, allowing the user to push their changes.
 *
 * This will fail for a codespace that is already published, meaning it has an associated repository.
 *
 * OAuth app tokens and personal access tokens (classic) need the `codespace` scope to use this endpoint.
 *
 * @tag codespaces
 * @path user/codespaces/:codespace_name/publish
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function postByCodespace_name(connection: IConnection<postByCodespace_name.Headers>, codespace_name: string, body: postByCodespace_name.Input): Promise<postByCodespace_name.Output>;
export declare namespace postByCodespace_name {
    type Headers = IApiUserCodespacesPublish.PostHeader;
    type Input = body;
    type Output = codespace_minus_with_minus_full_minus_repository;
    const METADATA: {
        readonly method: "POST";
        readonly path: "/user/codespaces/:codespace_name/publish";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (codespace_name: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => codespace_minus_with_minus_full_minus_repository;
    const simulate: (connection: IConnection<postByCodespace_name.Headers>, codespace_name: string, body: postByCodespace_name.Input) => Output;
}
