import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { packages } from "../../../../structures/package";
/**
 * Get list of conflicting packages during Docker migration for authenticated-user.
 * Lists all packages that are owned by the authenticated user within the user's namespace, and that encountered a conflict during a Docker migration.
 *
 * OAuth app tokens and personal access tokens (classic) need the `read:packages` scope to use this endpoint.
 *
 * @tag packages
 * @path user/docker/conflicts
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function get(connection: IConnection): Promise<get.Output>;
export declare namespace get {
    type Output = packages[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/user/docker/conflicts";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: () => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => packages[];
    const simulate: (connection: IConnection) => Output;
}
