import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiUserFollowers } from "../../../structures/IApiUserFollowers";
import { simple_minus_user } from "../../../structures/simple_minus_user";
/**
 * List followers of the authenticated user.
 * Lists the people following the authenticated user.
 *
 * @tag users
 * @path user/followers
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function get(connection: IConnection<get.Headers>): Promise<get.Output>;
export declare namespace get {
    type Headers = IApiUserFollowers.GetHeader;
    type Output = simple_minus_user[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/user/followers";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: () => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => simple_minus_user[];
    const simulate: (connection: IConnection<get.Headers>) => Output;
}
