import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiUserMigrationsReposLock } from "../../../../../structures/IApiUserMigrationsReposLock";
/**
 * Unlock a user repository.
 * Unlocks a repository. You can lock repositories when you [start a user migration](https://docs.github.com/rest/migrations/users#start-a-user-migration). Once the migration is complete you can unlock each repository to begin using it again or [delete the repository](https://docs.github.com/rest/repos/repos#delete-a-repository) if you no longer need the source data. Returns a status of `404 Not Found` if the repository is not locked.
 *
 * @tag migrations
 * @path user/migrations/:migration_id/repos/:repo_name/lock
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function eraseByMigration_idAndRepo_name(connection: IConnection<eraseByMigration_idAndRepo_name.Headers>, migration_id: string, repo_name: string): Promise<void>;
export declare namespace eraseByMigration_idAndRepo_name {
    type Headers = IApiUserMigrationsReposLock.DeleteHeader;
    const METADATA: {
        readonly method: "DELETE";
        readonly path: "/user/migrations/:migration_id/repos/:repo_name/lock";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (migration_id: string, repo_name: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<eraseByMigration_idAndRepo_name.Headers>, migration_id: string, repo_name: string) => void;
}
