import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiUserOrgs } from "../../../structures/IApiUserOrgs";
import { organization_minus_simple } from "../../../structures/organization_minus_simple";
/**
 * List organizations for the authenticated user.
 *
 * For OAuth app tokens and personal access tokens (classic), this endpoint only lists organizations that your authorization allows you to operate on in some way (e.g., you can list teams with `read:org` scope, you can publicize your organization membership with `user` scope, etc.). Therefore, this API requires at least `user` or `read:org` scope for OAuth app tokens and personal access tokens (classic). Requests with insufficient scope will receive a `403 Forbidden` response.
 *
 * @tag orgs
 * @path user/orgs
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function get(connection: IConnection<get.Headers>): Promise<get.Output>;
export declare namespace get {
    type Headers = IApiUserOrgs.GetHeader;
    type Output = organization_minus_simple[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/user/orgs";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: () => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => organization_minus_simple[];
    const simulate: (connection: IConnection<get.Headers>) => Output;
}
