import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { body } from "../../../structures/body";
import { project } from "../../../structures/project";
/**
 * Create a user project.
 * Creates a user project board. Returns a `410 Gone` status if the user does not have existing classic projects. If you do not have sufficient privileges to perform this action, a `401 Unauthorized` or `410 Gone` status is returned.
 *
 * @tag projects
 * @path user/projects
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function post(connection: IConnection, body: post.Input): Promise<post.Output>;
export declare namespace post {
    type Input = body;
    type Output = project;
    const METADATA: {
        readonly method: "POST";
        readonly path: "/user/projects";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: () => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => project;
    const simulate: (connection: IConnection, body: post.Input) => Output;
}
