import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiUserSocialAccounts } from "../../../structures/IApiUserSocialAccounts";
import { body } from "../../../structures/body";
import { social_minus_account } from "../../../structures/social_minus_account";
/**
 * List social accounts for the authenticated user.
 * Lists all of your social accounts.
 *
 * @tag users
 * @path user/social_accounts
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function get(connection: IConnection<get.Headers>): Promise<get.Output>;
export declare namespace get {
    type Headers = IApiUserSocialAccounts.GetHeader;
    type Output = social_minus_account[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/user/social_accounts";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: () => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => social_minus_account[];
    const simulate: (connection: IConnection<get.Headers>) => Output;
}
/**
 * Add social accounts for the authenticated user.
 * Add one or more social accounts to the authenticated user's profile.
 *
 * OAuth app tokens and personal access tokens (classic) need the `user` scope to use this endpoint.
 *
 * @tag users
 * @path user/social_accounts
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function post(connection: IConnection, body: post.Input): Promise<post.Output>;
export declare namespace post {
    type Input = body;
    type Output = social_minus_account[];
    const METADATA: {
        readonly method: "POST";
        readonly path: "/user/social_accounts";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: () => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => social_minus_account[];
    const simulate: (connection: IConnection, body: post.Input) => Output;
}
/**
 * Delete social accounts for the authenticated user.
 * Deletes one or more social accounts from the authenticated user's profile.
 *
 * OAuth app tokens and personal access tokens (classic) need the `user` scope to use this endpoint.
 *
 * @tag users
 * @path user/social_accounts
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function erase(connection: IConnection, body: erase.Input): Promise<void>;
export declare namespace erase {
    type Input = body;
    const METADATA: {
        readonly method: "DELETE";
        readonly path: "/user/social_accounts";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: () => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection, body: erase.Input) => void;
}
