import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiUserTeams } from "../../../structures/IApiUserTeams";
import { team_minus_full } from "../../../structures/team_minus_full";
/**
 * List teams for the authenticated user.
 * List all of the teams across all of the organizations to which the authenticated
 * user belongs.
 *
 * OAuth app tokens and personal access tokens (classic) need the `user`, `repo`, or `read:org` scope to use this endpoint.
 *
 * When using a fine-grained personal access token, the resource owner of the token must be a single organization, and the response will only include the teams from that organization.
 *
 * @tag teams
 * @path user/teams
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function get(connection: IConnection<get.Headers>): Promise<get.Output>;
export declare namespace get {
    type Headers = IApiUserTeams.GetHeader;
    type Output = team_minus_full[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/user/teams";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: () => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => team_minus_full[];
    const simulate: (connection: IConnection<get.Headers>) => Output;
}
