import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiUsersDockerConflicts } from "../../../../structures/IApiUsersDockerConflicts";
import { packages } from "../../../../structures/package";
/**
 * Get list of conflicting packages during Docker migration for user.
 * Lists all packages that are in a specific user's namespace, that the requesting user has access to, and that encountered a conflict during Docker migration.
 *
 * OAuth app tokens and personal access tokens (classic) need the `read:packages` scope to use this endpoint.
 *
 * @tag packages
 * @path users/:username/docker/conflicts
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByUsername(connection: IConnection<getByUsername.Headers>, username: string): Promise<getByUsername.Output>;
export declare namespace getByUsername {
    type Headers = IApiUsersDockerConflicts.GetHeader;
    type Output = packages[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/users/:username/docker/conflicts";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (username: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => packages[];
    const simulate: (connection: IConnection<getByUsername.Headers>, username: string) => Output;
}
