import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiUsersEventsOrgs } from "../../../../structures/IApiUsersEventsOrgs";
import { event } from "../../../../structures/event";
/**
 * List organization events for the authenticated user.
 * This is the user's organization dashboard. You must be authenticated as the user to view this.
 *
 * > [!NOTE]
 * > This API is not built to serve real-time use cases. Depending on the time of day, event latency can be anywhere from 30s to 6h.
 *
 * @tag activity
 * @path users/:username/events/orgs/:org
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByUsernameAndOrg(connection: IConnection<getByUsernameAndOrg.Headers>, username: string, org: string): Promise<getByUsernameAndOrg.Output>;
export declare namespace getByUsernameAndOrg {
    type Headers = IApiUsersEventsOrgs.GetHeader;
    type Output = event[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/users/:username/events/orgs/:org";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (username: string, org: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => event[];
    const simulate: (connection: IConnection<getByUsernameAndOrg.Headers>, username: string, org: string) => Output;
}
