import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiUsersFollowing } from "../../../structures/IApiUsersFollowing";
import { simple_minus_user } from "../../../structures/simple_minus_user";
/**
 * List the people a user follows.
 * Lists the people who the specified user follows.
 *
 * @tag users
 * @path users/:username/following
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByUsername(connection: IConnection<getByUsername.Headers>, username: string): Promise<getByUsername.Output>;
export declare namespace getByUsername {
    type Headers = IApiUsersFollowing.GetHeader;
    type Output = simple_minus_user[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/users/:username/following";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (username: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => simple_minus_user[];
    const simulate: (connection: IConnection<getByUsername.Headers>, username: string) => Output;
}
/**
 * @tag users
 * @path users/:username/following/:target_user
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByUsernameAndTarget_user(connection: IConnection<getByUsernameAndTarget_user.Headers>, username: string, target_user: string): Promise<void>;
export declare namespace getByUsernameAndTarget_user {
    type Headers = IApiUsersFollowing.GetHeader;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/users/:username/following/:target_user";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (username: string, target_user: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<getByUsernameAndTarget_user.Headers>, username: string, target_user: string) => void;
}
