import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiUsersGists } from "../../../structures/IApiUsersGists";
import { base_minus_gist } from "../../../structures/base_minus_gist";
/**
 * List gists for a user.
 * Lists public gists for the specified user:
 *
 * @tag gists
 * @path users/:username/gists
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByUsername(connection: IConnection<getByUsername.Headers>, username: string): Promise<getByUsername.Output>;
export declare namespace getByUsername {
    type Headers = IApiUsersGists.GetHeader;
    type Output = base_minus_gist[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/users/:username/gists";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (username: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => base_minus_gist[];
    const simulate: (connection: IConnection<getByUsername.Headers>, username: string) => Output;
}
