import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiUsersGpgKeys } from "../../../structures/IApiUsersGpgKeys";
import { gpg_minus_key } from "../../../structures/gpg_minus_key";
/**
 * List GPG keys for a user.
 * Lists the GPG keys for a user. This information is accessible by anyone.
 *
 * @tag users
 * @path users/:username/gpg_keys
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByUsername(connection: IConnection<getByUsername.Headers>, username: string): Promise<getByUsername.Output>;
export declare namespace getByUsername {
    type Headers = IApiUsersGpgKeys.GetHeader;
    type Output = gpg_minus_key[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/users/:username/gpg_keys";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (username: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => gpg_minus_key[];
    const simulate: (connection: IConnection<getByUsername.Headers>, username: string) => Output;
}
