import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiUsersKeys } from "../../../structures/IApiUsersKeys";
import { key_minus_simple } from "../../../structures/key_minus_simple";
/**
 * List public keys for a user.
 * Lists the _verified_ public SSH keys for a user. This is accessible by anyone.
 *
 * @tag users
 * @path users/:username/keys
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByUsername(connection: IConnection<getByUsername.Headers>, username: string): Promise<getByUsername.Output>;
export declare namespace getByUsername {
    type Headers = IApiUsersKeys.GetHeader;
    type Output = key_minus_simple[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/users/:username/keys";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (username: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => key_minus_simple[];
    const simulate: (connection: IConnection<getByUsername.Headers>, username: string) => Output;
}
