import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiUsersRepos } from "../../../structures/IApiUsersRepos";
import { minimal_minus_repository } from "../../../structures/minimal_minus_repository";
/**
 * List repositories for a user.
 * Lists public repositories for the specified user.
 *
 * @tag repos
 * @path users/:username/repos
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByUsername(connection: IConnection<getByUsername.Headers>, username: string, query: getByUsername.Query): Promise<getByUsername.Output>;
export declare namespace getByUsername {
    type Headers = IApiUsersRepos.GetHeader;
    type Query = IApiUsersRepos.GetQuery;
    type Output = minimal_minus_repository[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/users/:username/repos";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (username: string, query: getByUsername.Query) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => minimal_minus_repository[];
    const simulate: (connection: IConnection<getByUsername.Headers>, username: string, query: getByUsername.Query) => Output;
}
