import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiUsersSettingsBillingPackages } from "../../../../../structures/IApiUsersSettingsBillingPackages";
import { packages_minus_billing_minus_usage } from "../../../../../structures/packages_minus_billing_minus_usage";
/**
 * Get GitHub Packages billing for a user.
 * Gets the free and paid storage used for GitHub Packages in gigabytes.
 *
 * Paid minutes only apply to packages stored for private repositories. For more information, see "[Managing billing for GitHub Packages](https://docs.github.com/github/setting-up-and-managing-billing-and-payments-on-github/managing-billing-for-github-packages)."
 *
 * OAuth app tokens and personal access tokens (classic) need the `user` scope to use this endpoint.
 *
 * @tag billing
 * @path users/:username/settings/billing/packages
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByUsername(connection: IConnection<getByUsername.Headers>, username: string): Promise<getByUsername.Output>;
export declare namespace getByUsername {
    type Headers = IApiUsersSettingsBillingPackages.GetHeader;
    type Output = packages_minus_billing_minus_usage;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/users/:username/settings/billing/packages";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (username: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => packages_minus_billing_minus_usage;
    const simulate: (connection: IConnection<getByUsername.Headers>, username: string) => Output;
}
