import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiUsersSshSigningKeys } from "../../../structures/IApiUsersSshSigningKeys";
import { ssh_minus_signing_minus_key } from "../../../structures/ssh_minus_signing_minus_key";
/**
 * List SSH signing keys for a user.
 * Lists the SSH signing keys for a user. This operation is accessible by anyone.
 *
 * @tag users
 * @path users/:username/ssh_signing_keys
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByUsername(connection: IConnection<getByUsername.Headers>, username: string): Promise<getByUsername.Output>;
export declare namespace getByUsername {
    type Headers = IApiUsersSshSigningKeys.GetHeader;
    type Output = ssh_minus_signing_minus_key[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/users/:username/ssh_signing_keys";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (username: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => ssh_minus_signing_minus_key[];
    const simulate: (connection: IConnection<getByUsername.Headers>, username: string) => Output;
}
