import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiUsersStarred } from "../../../structures/IApiUsersStarred";
import { repository } from "../../../structures/repository";
import { starred_minus_repository } from "../../../structures/starred_minus_repository";
/**
 * List repositories starred by a user.
 * Lists repositories a user has starred.
 *
 * This endpoint supports the following custom media types. For more information, see "[Media types](https://docs.github.com/rest/using-the-rest-api/getting-started-with-the-rest-api#media-types)."
 *
 * - **`application/vnd.github.star+json`**: Includes a timestamp of when the star was created.
 *
 * @tag activity
 * @path users/:username/starred
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByUsername(connection: IConnection<getByUsername.Headers>, username: string): Promise<getByUsername.Output>;
export declare namespace getByUsername {
    type Headers = IApiUsersStarred.GetHeader;
    type Output = starred_minus_repository[] | repository[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/users/:username/starred";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (username: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => starred_minus_repository[] | repository[];
    const simulate: (connection: IConnection<getByUsername.Headers>, username: string) => Output;
}
