import { tags } from "typia";
export declare namespace IApiOrgsActionsRunnersLabels {
    type GetHeader = {
        /**
         * The organization name. The name is not case sensitive.
         */
        org: string;
        /**
         * Unique identifier of the self-hosted runner.
         */
        runner_id: number & tags.Type<"int32">;
    };
    type PostHeader = {
        /**
         * The organization name. The name is not case sensitive.
         */
        org: string;
        /**
         * Unique identifier of the self-hosted runner.
         */
        runner_id: number & tags.Type<"int32">;
    };
    type PutHeader = {
        /**
         * The organization name. The name is not case sensitive.
         */
        org: string;
        /**
         * Unique identifier of the self-hosted runner.
         */
        runner_id: number & tags.Type<"int32">;
    };
    type DeleteHeader = {
        /**
         * The organization name. The name is not case sensitive.
         */
        org: string;
        /**
         * Unique identifier of the self-hosted runner.
         */
        runner_id: number & tags.Type<"int32">;
        /**
         * The name of a self-hosted runner's custom label.
         */
        name: string;
    };
}
