import { tags } from "typia";
export declare namespace IApiOrgsMigrations {
    type GetHeader = {
        /**
         * The organization name. The name is not case sensitive.
         */
        org: string;
        /**
         * The unique identifier of the migration.
         */
        migration_id: number & tags.Type<"int32">;
    };
    type GetQuery = {
        /**
         * Exclude attributes from the API response to improve performance
         */
        exclude?: "repositories"[];
    };
    type PostHeader = {
        /**
         * The organization name. The name is not case sensitive.
         */
        org: string;
    };
}
