import { tags } from "typia";
export declare namespace IApiOrgsTeamsDiscussions {
    type GetHeader = {
        /**
         * The organization name. The name is not case sensitive.
         */
        org: string;
        /**
         * The slug of the team name.
         */
        team_slug: string;
        /**
         * The number that identifies the discussion.
         */
        discussion_number: number & tags.Type<"int32">;
    };
    type GetQuery = {
        /**
         * Pinned discussions only filter
         */
        pinned?: string;
    };
    type PostHeader = {
        /**
         * The organization name. The name is not case sensitive.
         */
        org: string;
        /**
         * The slug of the team name.
         */
        team_slug: string;
    };
    type PatchHeader = {
        /**
         * The organization name. The name is not case sensitive.
         */
        org: string;
        /**
         * The slug of the team name.
         */
        team_slug: string;
        /**
         * The number that identifies the discussion.
         */
        discussion_number: number & tags.Type<"int32">;
    };
    type DeleteHeader = {
        /**
         * The organization name. The name is not case sensitive.
         */
        org: string;
        /**
         * The slug of the team name.
         */
        team_slug: string;
        /**
         * The number that identifies the discussion.
         */
        discussion_number: number & tags.Type<"int32">;
    };
}
