import { tags } from "typia";
export declare namespace IApiReposIssuesLock {
    type PutHeader = {
        /**
         * The account owner of the repository. The name is not case sensitive.
         */
        owner: string;
        /**
         * The name of the repository without the `.git` extension. The name is not case sensitive.
         */
        repo: string;
        /**
         * The number that identifies the issue.
         */
        issue_number: number & tags.Type<"int32">;
    };
    type DeleteHeader = {
        /**
         * The account owner of the repository. The name is not case sensitive.
         */
        owner: string;
        /**
         * The name of the repository without the `.git` extension. The name is not case sensitive.
         */
        repo: string;
        /**
         * The number that identifies the issue.
         */
        issue_number: number & tags.Type<"int32">;
    };
}
