import { tags } from "typia";
export declare namespace IApiTeamsDiscussions {
    type GetHeader = {
        /**
         * The unique identifier of the team.
         */
        team_id: number & tags.Type<"int32">;
        /**
         * The number that identifies the discussion.
         */
        discussion_number: number & tags.Type<"int32">;
    };
    type PostHeader = {
        /**
         * The unique identifier of the team.
         */
        team_id: number & tags.Type<"int32">;
    };
    type PatchHeader = {
        /**
         * The unique identifier of the team.
         */
        team_id: number & tags.Type<"int32">;
        /**
         * The number that identifies the discussion.
         */
        discussion_number: number & tags.Type<"int32">;
    };
    type DeleteHeader = {
        /**
         * The unique identifier of the team.
         */
        team_id: number & tags.Type<"int32">;
        /**
         * The number that identifies the discussion.
         */
        discussion_number: number & tags.Type<"int32">;
    };
}
